# Cilium debug information

#### Endpoint list

```
ENDPOINT   POLICY (ingress)   POLICY (egress)   IDENTITY   LABELS (source:key[=value])                                                  IPv6   IPv4        STATUS   
           ENFORCEMENT        ENFORCEMENT                                                                                                                  
774        Disabled           Disabled          56705      k8s:app.kubernetes.io/name=hubble-ui                                                10.0.2.33   ready   
                                                           k8s:app.kubernetes.io/part-of=cilium                                                                    
                                                           k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system                              
                                                           k8s:io.cilium.k8s.policy.cluster=default                                                                
                                                           k8s:io.cilium.k8s.policy.serviceaccount=hubble-ui                                                       
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                             
                                                           k8s:k8s-app=hubble-ui                                                                                   
789        Disabled           Disabled          1          k8s:node-role.kubernetes.io/control-plane                                                       ready   
                                                           k8s:node.kubernetes.io/exclude-from-external-load-balancers                                             
                                                           reserved:host                                                                                           
2322       Disabled           Disabled          4          reserved:health                                                                     10.0.2.73   ready   
```

#### BPF Policy Get 774

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES   PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    0       0         0        
Allow    Ingress     1          ANY          NONE         disabled    0       0         0        
Allow    Egress      0          ANY          NONE         disabled    0       0         0        

```


#### BPF CT List 774

```
Invalid argument: unknown type 774
```


#### Endpoint Get 774

```
[
  {
    "id": 774,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-774-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "ef3fd20f-0269-4cb6-8d28-cfd2f36192f9"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-774",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:17:52.256Z",
            "success-count": 225
          },
          "uuid": "76fa300c-38d7-4561-b928-ed6ed2aafc62"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-774",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:22:04.326Z",
            "success-count": 1126
          },
          "uuid": "36b4e8f6-d3a7-4ed9-919b-a8329aa002da"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (774)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:22:06.474Z",
            "success-count": 6747
          },
          "uuid": "73ff35f6-46f8-4b3b-8d6e-5b6b9eb04ca4"
        }
      ],
      "external-identifiers": {
        "container-id": "d06959b5b5f802db1b2709e032459c334d348bed569e8ed803a89087b18f39ba",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "hubble-ui-694cf76f4c-t8kx6",
        "pod-name": "kube-system/hubble-ui-694cf76f4c-t8kx6"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 56705,
        "labels": [
          "k8s:app.kubernetes.io/name=hubble-ui",
          "k8s:app.kubernetes.io/part-of=cilium",
          "k8s:k8s-app=hubble-ui",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:io.cilium.k8s.policy.serviceaccount=hubble-ui",
          "k8s:io.cilium.k8s.policy.cluster=default"
        ]
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=694cf76f4c"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:app.kubernetes.io/name=hubble-ui",
          "k8s:app.kubernetes.io/part-of=cilium",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=hubble-ui",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=hubble-ui"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2023-09-02T21:53:03Z"
        }
      ],
      "namedPorts": [
        {
          "name": "grpc",
          "port": 8090,
          "protocol": "TCP"
        },
        {
          "name": "http",
          "port": 8081,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.0.2.33",
            "ipv4-pool-name": "default"
          }
        ],
        "host-mac": "62:30:14:a4:1f:89",
        "interface-index": 9,
        "interface-name": "lxc7880a97829f7",
        "mac": "82:d4:1e:a3:c5:9c"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 56705,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 56705,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 774

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 774

```
Timestamp              Status   State                   Message
2023-09-02T21:53:03Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-09-02T21:53:03Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T21:53:03Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-09-02T21:53:03Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-09-02T20:38:37Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-09-02T20:38:37Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T20:38:37Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-09-02T20:38:37Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-09-02T20:37:55Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2023-09-02T20:37:55Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T20:37:52Z   OK       regenerating            Regenerating endpoint: updated security labels
2023-09-02T20:37:52Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2023-09-02T20:37:52Z   OK       ready                   Set identity for this endpoint
2023-09-02T20:37:52Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 56705

```
ID      LABELS
56705   k8s:app.kubernetes.io/name=hubble-ui
        k8s:app.kubernetes.io/part-of=cilium
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=hubble-ui
        k8s:io.kubernetes.pod.namespace=kube-system
        k8s:k8s-app=hubble-ui

```


#### BPF Policy Get 789

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES   PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    0       0         0        
Allow    Egress      0          ANY          NONE         disabled    0       0         0        

```


#### BPF CT List 789

```
Invalid argument: unknown type 789
```


#### Endpoint Get 789

```
[
  {
    "id": 789,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-789-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "152beed5-4526-4319-957e-f333a1ee95d2"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-789",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:17:51.703Z",
            "success-count": 225
          },
          "uuid": "bf502577-caf0-4990-9baf-834446d2d126"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-789",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:22:04.326Z",
            "success-count": 1126
          },
          "uuid": "0e210646-0c9e-47de-9b20-e22027e89fc2"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (789)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:22:05.608Z",
            "success-count": 6747
          },
          "uuid": "369f6f2d-cd22-4c53-b84a-9c9299819fd3"
        }
      ],
      "external-identifiers": {
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 1,
        "labels": [
          "reserved:host",
          "k8s:node-role.kubernetes.io/control-plane",
          "k8s:node.kubernetes.io/exclude-from-external-load-balancers"
        ]
      },
      "labels": {
        "derived": [
          "k8s:node-role.kubernetes.io/control-plane",
          "k8s:node.kubernetes.io/exclude-from-external-load-balancers",
          "reserved:host"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:node-role.kubernetes.io/control-plane",
          "k8s:node.kubernetes.io/exclude-from-external-load-balancers",
          "reserved:host"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2023-09-02T21:53:03Z"
        }
      ],
      "networking": {
        "addressing": [
          {}
        ],
        "host-mac": "02:b4:b6:9e:99:f8",
        "interface-name": "cilium_host",
        "mac": "02:b4:b6:9e:99:f8"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 789

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 789

```
Timestamp              Status   State                   Message
2023-09-02T21:53:03Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-09-02T21:53:03Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T21:53:03Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-09-02T21:53:03Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-09-02T20:38:37Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-09-02T20:38:37Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T20:38:37Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-09-02T20:38:37Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-09-02T20:37:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2023-09-02T20:37:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T20:37:51Z   OK       regenerating            Regenerating endpoint: updated security labels
2023-09-02T20:37:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2023-09-02T20:37:51Z   OK       ready                   Set identity for this endpoint
2023-09-02T20:37:51Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 1

```
ID   LABELS
1    reserved:host

```


#### BPF Policy Get 2322

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES     PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    1869242   23621     0        
Allow    Ingress     1          ANY          NONE         disabled    862154    9793      0        
Allow    Egress      0          ANY          NONE         disabled    0         0         0        

```


#### BPF CT List 2322

```
Invalid argument: unknown type 2322
```


#### Endpoint Get 2322

```
[
  {
    "id": 2322,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-2322-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "ed44b067-e9b4-4704-a436-8b719d6e2efd"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-2322",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:17:52.762Z",
            "success-count": 225
          },
          "uuid": "2ee8476e-d69a-402f-b804-5cadee75d18c"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-2322",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:22:04.326Z",
            "success-count": 1126
          },
          "uuid": "f97e6b9f-f796-4f0d-9528-d3ba3568e4d9"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (2322)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:22:06.655Z",
            "success-count": 6747
          },
          "uuid": "f0527c4e-2354-46ad-96a6-cab5a9b203af"
        }
      ],
      "external-identifiers": {
        "container-name": "cilium-health",
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 4,
        "labels": [
          "reserved:health"
        ]
      },
      "labels": {
        "realized": {},
        "security-relevant": [
          "reserved:health"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2023-09-02T21:53:03Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.0.2.73",
            "ipv4-pool-name": "default"
          }
        ],
        "host-mac": "9a:c4:07:4a:f0:c2",
        "interface-index": 7,
        "interface-name": "lxc_health",
        "mac": "86:48:d0:b9:7b:37"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 2322

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 2322

```
Timestamp              Status   State                   Message
2023-09-02T21:53:03Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-09-02T21:53:03Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T21:53:03Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-09-02T21:53:03Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-09-02T20:38:37Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-09-02T20:38:37Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T20:38:37Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-09-02T20:38:37Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-09-02T20:37:55Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2023-09-02T20:37:55Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T20:37:54Z   OK       regenerating            Regenerating endpoint: updated security labels
2023-09-02T20:37:52Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2023-09-02T20:37:52Z   OK       ready                   Set identity for this endpoint
2023-09-02T20:37:51Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 4

```
ID   LABELS
4    reserved:health

```


#### Cilium encryption



#### Kernel version

```
5.15.0
```


#### Cilium status

```
KVStore:                Ok   Disabled
Kubernetes:             Ok   1.28 (v1.28.1) [linux/amd64]
Kubernetes APIs:        ["EndpointSliceOrEndpoint", "cilium/v2::CiliumClusterwideNetworkPolicy", "cilium/v2::CiliumEndpoint", "cilium/v2::CiliumNetworkPolicy", "cilium/v2::CiliumNode", "cilium/v2alpha1::CiliumCIDRGroup", "core/v1::Namespace", "core/v1::Pods", "core/v1::Service", "networking.k8s.io/v1::NetworkPolicy"]
KubeProxyReplacement:   Strict   [enp1s0 192.168.100.10]
Host firewall:          Disabled
CNI Chaining:           none
Cilium:                 Ok   1.14.1 (v1.14.1-c191ef6f)
NodeMonitor:            Listening for events on 2 CPUs with 64x4096 of shared memory
Cilium health daemon:   Ok   
IPAM:                   IPv4: 3/254 allocated from 10.0.2.0/24, 
Allocated addresses:
  10.0.2.33 (kube-system/hubble-ui-694cf76f4c-t8kx6)
  10.0.2.44 (router)
  10.0.2.73 (health)
IPv4 BIG TCP:           Disabled
IPv6 BIG TCP:           Disabled
BandwidthManager:       Disabled
Host Routing:           Legacy
Masquerading:           IPTables [IPv4: Enabled, IPv6: Disabled]
Clock Source for BPF:   ktime
Controller Status:      24/24 healthy
  Name                                  Last success    Last error      Count   Message
  cilium-health-ep                      17s ago         never           0       no error   
  dns-garbage-collector-job             23s ago         never           0       no error   
  endpoint-2322-regeneration-recovery   never           never           0       no error   
  endpoint-774-regeneration-recovery    never           never           0       no error   
  endpoint-789-regeneration-recovery    never           never           0       no error   
  endpoint-gc                           4m23s ago       never           0       no error   
  ipcache-inject-labels                 18s ago         18h44m22s ago   0       no error   
  k8s-heartbeat                         20s ago         never           0       no error   
  link-cache                            16s ago         never           0       no error   
  metricsmap-bpf-prom-sync              5s ago          never           0       no error   
  resolve-identity-2322                 4m18s ago       never           0       no error   
  resolve-identity-774                  4m19s ago       never           0       no error   
  resolve-identity-789                  4m19s ago       never           0       no error   
  sync-host-ips                         18s ago         never           0       no error   
  sync-lb-maps-with-k8s-services        18h44m19s ago   never           0       no error   
  sync-policymap-2322                   6s ago          never           0       no error   
  sync-policymap-774                    6s ago          never           0       no error   
  sync-policymap-789                    6s ago          never           0       no error   
  sync-to-k8s-ciliumendpoint (2322)     4s ago          never           0       no error   
  sync-to-k8s-ciliumendpoint (774)      4s ago          never           0       no error   
  sync-to-k8s-ciliumendpoint (789)      5s ago          never           0       no error   
  sync-utime                            18s ago         never           0       no error   
  template-dir-watcher                  never           never           0       no error   
  write-cni-file                        16m28s ago      never           0       no error   
Proxy Status:            OK, ip 10.0.2.44, 0 redirects active on ports 10000-20000, Envoy: embedded
Global Identity Range:   min 256, max 65535
Hubble:                  Ok   Current/Max Flows: 4095/4095 (100.00%), Flows/s: 1.02   Metrics: Disabled
KubeProxyReplacement Details:
  Status:                 Strict
  Socket LB:              Enabled
  Socket LB Tracing:      Enabled
  Socket LB Coverage:     Full
  Devices:                enp1s0 192.168.100.10
  Mode:                   SNAT
  Backend Selection:      Random
  Session Affinity:       Enabled
  Graceful Termination:   Enabled
  NAT46/64 Support:       Disabled
  XDP Acceleration:       Disabled
  Services:
  - ClusterIP:      Enabled
  - NodePort:       Enabled (Range: 30000-32767) 
  - LoadBalancer:   Enabled 
  - externalIPs:    Enabled 
  - HostPort:       Enabled
BPF Maps:   dynamic sizing: on (ratio: 0.002500)
  Name                          Size
  Auth                          524288
  Non-TCP connection tracking   65536
  TCP connection tracking       131072
  Endpoint policy               65535
  IP cache                      512000
  IPv4 masquerading agent       16384
  IPv6 masquerading agent       16384
  IPv4 fragmentation            8192
  IPv4 service                  65536
  IPv6 service                  65536
  IPv4 service backend          65536
  IPv6 service backend          65536
  IPv4 service reverse NAT      65536
  IPv6 service reverse NAT      65536
  Metrics                       1024
  NAT                           131072
  Neighbor table                131072
  Global policy                 16384
  Session affinity              65536
  Sock reverse NAT              65536
  Tunnel                        65536
Encryption:   Disabled   
```

#### Cilium environment keys

```
version:false
l2-announcements-lease-duration:15s
read-cni-conf:
kvstore-opt:
mke-cgroup-mount:
proxy-max-connection-duration-seconds:0
http-request-timeout:3600
bpf-lb-rss-ipv6-src-cidr:
tunnel-protocol:vxlan
policy-queue-size:100
hubble-export-file-max-backups:5
tofqdns-pre-cache:
enable-auto-protect-node-port-range:true
bpf-lb-acceleration:disabled
enable-bgp-control-plane:false
enable-envoy-config:false
mesh-auth-spire-admin-socket:
cmdref:
bpf-lb-maglev-table-size:16381
metrics:
identity-change-grace-period:5s
k8s-kubeconfig-path:
config-dir:/tmp/cilium/config-map
http-403-msg:
ipv4-range:auto
cluster-health-port:4240
ipam-cilium-node-update-rate:15s
enable-k8s-endpoint-slice:true
l2-announcements-retry-period:2s
crd-wait-timeout:5m0s
hubble-recorder-storage-path:/var/run/cilium/pcaps
mtu:0
bpf-ct-timeout-service-tcp-grace:1m0s
mesh-auth-enabled:true
k8s-require-ipv6-pod-cidr:false
tunnel-port:0
remove-cilium-node-taints:true
dnsproxy-concurrency-limit:0
bpf-ct-timeout-service-any:1m0s
annotate-k8s-node:false
kvstore-connectivity-timeout:2m0s
node-port-acceleration:disabled
mesh-auth-spiffe-trust-domain:spiffe.cilium
tofqdns-idle-connection-grace-period:0s
enable-high-scale-ipcache:false
derive-masquerade-ip-addr-from-device:
hubble-tls-client-ca-files:/var/lib/cilium/tls/hubble/client-ca.crt
bpf-ct-timeout-service-tcp:6h0m0s
bpf-neigh-global-max:524288
pprof-port:6060
enable-xdp-prefilter:false
cilium-endpoint-gc-interval:5m0s
node-port-mode:snat
socket-path:/var/run/cilium/cilium.sock
enable-well-known-identities:false
nodes-gc-interval:5m0s
hubble-skip-unknown-cgroup-ids:true
mesh-auth-gc-interval:5m0s
bpf-sock-rev-map-max:262144
enable-hubble:true
enable-ipsec:false
enable-ipsec-key-watcher:true
custom-cni-conf:false
bpf-ct-global-tcp-max:524288
labels:
enable-l2-pod-announcements:false
skip-cnp-status-startup-clean:false
identity-heartbeat-timeout:30m0s
bpf-lb-maglev-map-max:0
enable-sctp:false
hubble-monitor-events:
k8s-require-ipv4-pod-cidr:false
enable-endpoint-routes:false
enable-svc-source-range-check:true
hubble-disable-tls:false
trace-payloadlen:128
bpf-fragments-map-max:8192
conntrack-gc-interval:0s
keep-config:false
allow-localhost:auto
disable-envoy-version-check:false
node-encryption-opt-out-labels:node-role.kubernetes.io/control-plane
enable-vtep:false
enable-l7-proxy:true
node-port-bind-protection:true
ipam-multi-pool-pre-allocation:default=8
bpf-map-event-buffers:
gops-port:9890
hubble-export-file-compress:false
cluster-pool-ipv4-mask-size:24
bpf-lb-maglev-hash-seed:JLfvgnHc2kaSUFaI
restore:true
tofqdns-proxy-port:0
state-dir:/var/run/cilium
enable-k8s-api-discovery:false
k8s-watcher-endpoint-selector:metadata.name!=kube-scheduler,metadata.name!=kube-controller-manager,metadata.name!=etcd-operator,metadata.name!=gcp-controller-manager
encrypt-node:false
enable-local-redirect-policy:false
tofqdns-min-ttl:0
envoy-log:
mesh-auth-rotated-identities-queue-size:1024
http-idle-timeout:0
synchronize-k8s-nodes:true
label-prefix-file:
clustermesh-config:/var/lib/cilium/clustermesh/
hubble-recorder-sink-queue-size:1024
cluster-id:0
set-cilium-is-up-condition:true
enable-service-topology:false
enable-k8s:true
ipv6-cluster-alloc-cidr:f00d::/64
enable-bandwidth-manager:false
bpf-map-dynamic-size-ratio:0.0025
hubble-socket-path:/var/run/cilium/hubble.sock
tofqdns-proxy-response-max-delay:100ms
enable-l2-neigh-discovery:true
vtep-endpoint:
ipam:cluster-pool
enable-policy:default
l2-pod-announcements-interface:
tofqdns-endpoint-max-ip-per-hostname:50
local-router-ipv4:
routing-mode:tunnel
ipv6-pod-subnets:
enable-endpoint-health-checking:true
tunnel:
k8s-service-proxy-name:
iptables-lock-timeout:5s
enable-ipv4-fragment-tracking:true
ipv6-native-routing-cidr:
endpoint-status:
ipv6-service-range:auto
bpf-lb-map-max:65536
bpf-ct-global-any-max:262144
kube-proxy-replacement-healthz-bind-address:
cluster-name:default
set-cilium-node-taints:true
enable-nat46x64-gateway:false
vtep-mac:
log-system-load:false
bpf-policy-map-max:16384
identity-allocation-mode:crd
vtep-cidr:
bpf-ct-timeout-regular-tcp-syn:1m0s
node-port-range:
datapath-mode:veth
identity-gc-interval:15m0s
http-retry-count:3
api-rate-limit:
cflags:
preallocate-bpf-maps:false
ipv4-native-routing-cidr:
enable-unreachable-routes:false
enable-cilium-api-server-access:
enable-wireguard-userspace-fallback:false
enable-pmtu-discovery:false
agent-health-port:9879
bpf-lb-mode:snat
tofqdns-dns-reject-response-code:refused
iptables-random-fully:false
enable-cilium-endpoint-slice:false
k8s-api-server:
ipv4-service-range:auto
disable-cnp-status-updates:true
auto-direct-node-routes:false
local-max-addr-scope:252
prepend-iptables-chains:true
hubble-listen-address::4244
k8s-sync-timeout:3m0s
hubble-tls-cert-file:/var/lib/cilium/tls/hubble/server.crt
bpf-root:/sys/fs/bpf
k8s-namespace:kube-system
policy-trigger-interval:1s
lib-dir:/var/lib/cilium
enable-cilium-health-api-server-access:
exclude-local-address:
bpf-lb-external-clusterip:false
enable-hubble-recorder-api:true
arping-refresh-period:30s
enable-k8s-event-handover:false
proxy-gid:1337
ip-masq-agent-config-path:/etc/config/ip-masq-agent
proxy-connect-timeout:2
unmanaged-pod-watcher-interval:15
egress-multi-home-ip-rule-compat:false
install-egress-gateway-routes:false
enable-local-node-route:true
enable-custom-calls:false
ipsec-key-rotation-duration:5m0s
ipsec-key-file:
bpf-ct-timeout-regular-any:1m0s
kvstore-max-consecutive-quorum-errors:2
vlan-bpf-bypass:
enable-ipv4-big-tcp:false
ipv6-node:auto
monitor-aggregation-flags:all
cnp-node-status-gc-interval:0s
dnsproxy-lock-timeout:500ms
k8s-client-qps:5
route-metric:0
enable-bpf-clock-probe:false
enable-node-port:false
external-envoy-proxy:false
egress-gateway-reconciliation-trigger-interval:1s
monitor-queue-size:0
prometheus-serve-addr::9962
dnsproxy-lock-count:128
tofqdns-enable-dns-compression:true
bpf-lb-affinity-map-max:0
log-driver:
k8s-client-burst:10
node-port-algorithm:random
agent-labels:
dnsproxy-concurrency-processing-grace-period:0s
tofqdns-max-deferred-connection-deletes:10000
envoy-config-timeout:2m0s
install-iptables-rules:true
cni-exclusive:true
enable-bpf-masquerade:false
hubble-metrics-server:
pprof-address:localhost
identity-restore-grace-period:10m0s
cni-log-file:/var/run/cilium/cilium-cni.log
hubble-export-file-max-size-mb:10
ipv6-mcast-device:
devices:
bpf-lb-rev-nat-map-max:0
log-opt:
certificates-directory:/var/run/cilium/certs
bpf-lb-sock:false
allow-icmp-frag-needed:true
enable-ipv6-ndp:false
bpf-ct-timeout-regular-tcp:6h0m0s
enable-ipv4:true
endpoint-gc-interval:5m0s
http-max-grpc-timeout:0
enable-ipv4-masquerade:true
trace-sock:true
debug-verbose:
enable-external-ips:false
cgroup-root:/run/cilium/cgroupv2
bpf-lb-rss-ipv4-src-cidr:
bpf-lb-dsr-dispatch:opt
bpf-lb-service-map-max:0
enable-k8s-terminating-endpoint:true
proxy-idle-timeout-seconds:60
enable-recorder:false
bpf-lb-source-range-map-max:0
enable-wireguard:false
enable-tracing:false
enable-identity-mark:true
monitor-aggregation:medium
enable-monitor:true
bpf-lb-dsr-l4-xlate:frontend
cluster-pool-ipv4-cidr:10.0.0.0/8
hubble-export-file-path:
bpf-lb-algorithm:random
enable-host-firewall:false
http-retry-timeout:0
enable-k8s-networkpolicy:true
enable-ip-masq-agent:false
procfs:/host/proc
hubble-metrics:
ipv6-range:auto
enable-health-checking:true
ip-allocation-timeout:2m0s
bpf-auth-map-max:524288
debug:false
disable-endpoint-crd:false
l2-announcements-renew-deadline:5s
local-router-ipv6:
bpf-nat-global-max:524288
agent-not-ready-taint-key:node.cilium.io/agent-not-ready
bpf-lb-dev-ip-addr-inherit:
egress-masquerade-interfaces:
ipv4-node:auto
config-sources:config-map:kube-system/cilium-config
mesh-auth-mutual-listener-port:0
enable-ipv6:false
enable-mke:false
bgp-announce-pod-cidr:false
ipv4-pod-subnets:
enable-runtime-device-detection:false
enable-bbr:false
dns-max-ips-per-restored-rule:1000
enable-remote-node-identity:true
enable-icmp-rules:true
enable-ipv6-big-tcp:false
proxy-max-requests-per-connection:0
enable-srv6:false
fqdn-regex-compile-lru-size:1024
cni-chaining-mode:none
mesh-auth-queue-size:1024
max-controller-interval:0
allocator-list-timeout:3m0s
cni-chaining-target:
config:
enable-health-check-nodeport:true
ipv4-service-loopback-address:169.254.42.1
egress-gateway-policy-map-max:16384
encrypt-interface:
bpf-ct-timeout-regular-tcp-fin:10s
dns-policy-unload-on-shutdown:false
enable-bpf-tproxy:false
write-cni-conf-when-ready:/host/etc/cni/net.d/05-cilium.conflist
operator-api-serve-addr:127.0.0.1:9234
kube-proxy-replacement:strict
bgp-config-path:/var/lib/cilium/bgp/config.yaml
enable-l2-announcements:false
srv6-encap-mode:reduced
endpoint-queue-size:25
bpf-lb-service-backend-map-max:0
hubble-event-buffer-capacity:4095
kvstore-periodic-sync:5m0s
enable-ipv6-masquerade:true
single-cluster-route:false
agent-liveness-update-interval:1s
auto-create-cilium-node-resource:true
bypass-ip-availability-upon-restore:false
k8s-heartbeat-timeout:30s
enable-host-legacy-routing:false
enable-stale-cilium-endpoint-cleanup:true
disable-iptables-feeder-rules:
hubble-tls-key-file:/var/lib/cilium/tls/hubble/server.key
http-normalize-path:true
join-cluster:false
proxy-prometheus-port:9964
k8s-service-cache-size:128
kvstore-lease-ttl:15m0s
vtep-mask:
monitor-aggregation-interval:5s
install-no-conntrack-iptables-rules:false
enable-session-affinity:false
pprof:false
bpf-filter-priority:1
direct-routing-device:
hubble-prefer-ipv6:false
sidecar-istio-proxy-image:cilium/istio_proxy
hubble-event-queue-size:0
enable-ipv4-egress-gateway:false
bgp-announce-lb-ip:false
policy-audit-mode:false
fixed-identity-mapping:
use-cilium-internal-ip-for-ipsec:false
bpf-lb-sock-hostns-only:false
enable-xt-socket-fallback:true
enable-host-port:false
kvstore:
```


#### Cilium memory map


```
00400000-02bf5000 r-xp 00000000 00:a1 807725                             /usr/bin/cilium-agent
02bf5000-0577f000 r--p 027f5000 00:a1 807725                             /usr/bin/cilium-agent
0577f000-058a3000 rw-p 0537f000 00:a1 807725                             /usr/bin/cilium-agent
058a3000-06036000 rw-p 00000000 00:00 0 
c000000000-c002400000 rw-p 00000000 00:00 0 
c002400000-c003600000 rw-p 00000000 00:00 0 
c003600000-c003800000 rw-p 00000000 00:00 0 
c003800000-c004000000 ---p 00000000 00:00 0 
7f036c178000-7f036c1f8000 rw-p 00000000 00:00 0 
7f036c1f8000-7f036c239000 rw-s 00000000 00:0e 12486                      anon_inode:[perf_event]
7f036c239000-7f036c27a000 rw-s 00000000 00:0e 12486                      anon_inode:[perf_event]
7f036c27a000-7f036c27c000 rw-s 00000000 00:0e 12486                      anon_inode:[perf_event]
7f036c27c000-7f036c27e000 rw-s 00000000 00:0e 12486                      anon_inode:[perf_event]
7f036c27e000-7f036ea00000 rw-p 00000000 00:00 0 
7f036ea00000-7f036ec00000 rw-p 00000000 00:00 0 
7f036ec00000-7f036ede0000 rw-p 00000000 00:00 0 
7f036ede0000-7f037f359000 ---p 00000000 00:00 0 
7f037f359000-7f037f35a000 rw-p 00000000 00:00 0 
7f037f35a000-7f0391209000 ---p 00000000 00:00 0 
7f0391209000-7f039120a000 rw-p 00000000 00:00 0 
7f039120a000-7f03935df000 ---p 00000000 00:00 0 
7f03935df000-7f03935e0000 rw-p 00000000 00:00 0 
7f03935e0000-7f0393a59000 ---p 00000000 00:00 0 
7f0393a59000-7f0393a5a000 rw-p 00000000 00:00 0 
7f0393a5a000-7f0393ad9000 ---p 00000000 00:00 0 
7f0393ad9000-7f0393b39000 rw-p 00000000 00:00 0 
7ffd47c48000-7ffd47c69000 rw-p 00000000 00:00 0                          [stack]
7ffd47d63000-7ffd47d67000 r--p 00000000 00:00 0                          [vvar]
7ffd47d67000-7ffd47d69000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 --xp 00000000 00:00 0                  [vsyscall]

```


#### ipam

```
<nil>
```


#### k8s-service-cache

```
(*k8s.ServiceCache)(0xc00016d730)({
 Events: (chan k8s.ServiceEvent) (cap=128) 0xc000a79920,
 mutex: (lock.RWMutex) {
  internalRWMutex: (lock.internalRWMutex) {
   RWMutex: (sync.RWMutex) {
    w: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    writerSem: (uint32) 0,
    readerSem: (uint32) 0,
    readerCount: (atomic.Int32) {
     _: (atomic.noCopy) {
     },
     v: (int32) 1
    },
    readerWait: (atomic.Int32) {
     _: (atomic.noCopy) {
     },
     v: (int32) 0
    }
   }
  }
 },
 services: (map[k8s.ServiceID]*k8s.Service) (len=5) {
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.Service)(0xc00145f130)(frontends:[10.96.0.10]/ports=[dns dns-tcp metrics]/selector=map[k8s-app:kube-dns]),
  (k8s.ServiceID) default/kubernetes: (*k8s.Service)(0xc00145f1e0)(frontends:[10.96.0.1]/ports=[https]/selector=map[]),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.Service)(0xc0015e6210)(frontends:[10.96.222.124]/ports=[peer-service]/selector=map[k8s-app:cilium]),
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.Service)(0xc00145efd0)(frontends:[10.102.226.192]/ports=[]/selector=map[k8s-app:hubble-relay]),
  (k8s.ServiceID) kube-system/hubble-ui: (*k8s.Service)(0xc00145f080)(frontends:[10.104.176.144]/ports=[http]/selector=map[k8s-app:hubble-ui])
 },
 endpoints: (map[k8s.ServiceID]*k8s.EndpointSlices) (len=5) {
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.EndpointSlices)(0xc000655de0)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=14) "kube-dns-2n67q": (*k8s.Endpoints)(0xc0015cd930)()
   }
  }),
  (k8s.ServiceID) default/kubernetes: (*k8s.EndpointSlices)(0xc000655de8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=10) "kubernetes": (*k8s.Endpoints)(0xc0013de410)(192.168.100.10:6443/TCP,192.168.100.11:6443/TCP,192.168.100.12:6443/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.EndpointSlices)(0xc000655d80)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=17) "hubble-peer-wjtbx": (*k8s.Endpoints)(0xc001d7edd0)(192.168.100.10:4244/TCP,192.168.100.11:4244/TCP,192.168.100.12:4244/TCP,192.168.100.20:4244/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.EndpointSlices)(0xc000655dd0)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=18) "hubble-relay-svjhj": (*k8s.Endpoints)(0xc0015cd110)(10.0.0.235:4245/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-ui: (*k8s.EndpointSlices)(0xc000655dd8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=15) "hubble-ui-nrd6q": (*k8s.Endpoints)(0xc0017ee8f0)(10.0.2.33:8081/TCP)
   }
  })
 },
 externalEndpoints: (map[k8s.ServiceID]k8s.externalEndpoints) {
 },
 nodeAddressing: (*linux.linuxNodeAddressing)(0x5e20750)({
  ipv6: (linux.addressFamilyIPv6) {
  },
  ipv4: (linux.addressFamilyIPv4) {
  }
 }),
 selfNodeZoneLabel: (string) "",
 ServiceMutators: ([]func(*v1.Service, *k8s.Service)) <nil>
})

```


#### kvstore-locks

```
(map[string]kvstore.lockOwner) {
}

```


#### ongoing-endpoint-creations


#### Cilium version

```
1.14.1 c191ef6f 2023-08-10T18:54:57+02:00 go version go1.20.7 linux/amd64
```


#### Service list

```
ID   Frontend            Service Type   Backend                             
1    10.96.222.124:443   ClusterIP      1 => 192.168.100.10:4244 (active)   
2    10.102.226.192:80   ClusterIP      1 => 10.0.0.235:4245 (active)       
3    10.104.176.144:80   ClusterIP      1 => 10.0.2.33:8081 (active)        
4    10.96.0.10:53       ClusterIP                                          
5    10.96.0.10:9153     ClusterIP                                          
6    10.96.0.1:443       ClusterIP      1 => 192.168.100.11:6443 (active)   
                                        2 => 192.168.100.12:6443 (active)   
                                        3 => 192.168.100.10:6443 (active)   
```

#### Policy get

```
:
 []
Revision: 1

```

