# Cilium debug information

#### Kernel version

```
5.15.0
```


#### Cilium status

```
KVStore:                Ok   Disabled
Kubernetes:             Ok   1.28 (v1.28.1) [linux/amd64]
Kubernetes APIs:        ["EndpointSliceOrEndpoint", "cilium/v2::CiliumClusterwideNetworkPolicy", "cilium/v2::CiliumEndpoint", "cilium/v2::CiliumNetworkPolicy", "cilium/v2::CiliumNode", "cilium/v2alpha1::CiliumCIDRGroup", "core/v1::Namespace", "core/v1::Pods", "core/v1::Service", "networking.k8s.io/v1::NetworkPolicy"]
KubeProxyReplacement:   Strict   [enp1s0 192.168.100.20]
Host firewall:          Disabled
CNI Chaining:           none
Cilium:                 Ok   1.14.1 (v1.14.1-c191ef6f)
NodeMonitor:            Listening for events on 2 CPUs with 64x4096 of shared memory
Cilium health daemon:   Ok   
IPAM:                   IPv4: 5/254 allocated from 10.0.0.0/24, 
Allocated addresses:
  10.0.0.116 (router)
  10.0.0.20 (kube-system/coredns-5dd5756b68-r768b)
  10.0.0.235 (kube-system/hubble-relay-585bb7f68-ggqfg)
  10.0.0.33 (default/cowboy)
  10.0.0.85 (health)
IPv4 BIG TCP:           Disabled
IPv6 BIG TCP:           Disabled
BandwidthManager:       Disabled
Host Routing:           Legacy
Masquerading:           IPTables [IPv4: Enabled, IPv6: Disabled]
Clock Source for BPF:   ktime
Controller Status:      32/32 healthy
  Name                                  Last success    Last error      Count   Message
  cilium-health-ep                      16s ago         never           0       no error   
  dns-garbage-collector-job             22s ago         never           0       no error   
  endpoint-1176-regeneration-recovery   never           never           0       no error   
  endpoint-205-regeneration-recovery    never           never           0       no error   
  endpoint-2474-regeneration-recovery   never           never           0       no error   
  endpoint-40-regeneration-recovery     never           never           0       no error   
  endpoint-443-regeneration-recovery    never           never           0       no error   
  endpoint-gc                           4m22s ago       never           0       no error   
  ipcache-inject-labels                 17s ago         18h44m21s ago   0       no error   
  k8s-heartbeat                         20s ago         never           0       no error   
  link-cache                            15s ago         never           0       no error   
  metricsmap-bpf-prom-sync              4s ago          never           0       no error   
  resolve-identity-1176                 4m17s ago       never           0       no error   
  resolve-identity-205                  4m17s ago       never           0       no error   
  resolve-identity-2474                 4m18s ago       never           0       no error   
  resolve-identity-40                   4m18s ago       never           0       no error   
  resolve-identity-443                  4m3s ago        never           0       no error   
  sync-host-ips                         17s ago         never           0       no error   
  sync-lb-maps-with-k8s-services        18h44m18s ago   never           0       no error   
  sync-policymap-1176                   5s ago          never           0       no error   
  sync-policymap-205                    5s ago          never           0       no error   
  sync-policymap-2474                   5s ago          never           0       no error   
  sync-policymap-40                     5s ago          never           0       no error   
  sync-policymap-443                    5s ago          never           0       no error   
  sync-to-k8s-ciliumendpoint (1176)     3s ago          never           0       no error   
  sync-to-k8s-ciliumendpoint (205)      3s ago          never           0       no error   
  sync-to-k8s-ciliumendpoint (2474)     3s ago          never           0       no error   
  sync-to-k8s-ciliumendpoint (40)       4s ago          never           0       no error   
  sync-to-k8s-ciliumendpoint (443)      9s ago          never           0       no error   
  sync-utime                            17s ago         never           0       no error   
  template-dir-watcher                  never           never           0       no error   
  write-cni-file                        18h44m22s ago   never           0       no error   
Proxy Status:            OK, ip 10.0.0.116, 0 redirects active on ports 10000-20000, Envoy: embedded
Global Identity Range:   min 256, max 65535
Hubble:                  Ok   Current/Max Flows: 4095/4095 (100.00%), Flows/s: 3.79   Metrics: Disabled
KubeProxyReplacement Details:
  Status:                 Strict
  Socket LB:              Enabled
  Socket LB Tracing:      Enabled
  Socket LB Coverage:     Full
  Devices:                enp1s0 192.168.100.20
  Mode:                   SNAT
  Backend Selection:      Random
  Session Affinity:       Enabled
  Graceful Termination:   Enabled
  NAT46/64 Support:       Disabled
  XDP Acceleration:       Disabled
  Services:
  - ClusterIP:      Enabled
  - NodePort:       Enabled (Range: 30000-32767) 
  - LoadBalancer:   Enabled 
  - externalIPs:    Enabled 
  - HostPort:       Enabled
BPF Maps:   dynamic sizing: on (ratio: 0.002500)
  Name                          Size
  Auth                          524288
  Non-TCP connection tracking   65536
  TCP connection tracking       131072
  Endpoint policy               65535
  IP cache                      512000
  IPv4 masquerading agent       16384
  IPv6 masquerading agent       16384
  IPv4 fragmentation            8192
  IPv4 service                  65536
  IPv6 service                  65536
  IPv4 service backend          65536
  IPv6 service backend          65536
  IPv4 service reverse NAT      65536
  IPv6 service reverse NAT      65536
  Metrics                       1024
  NAT                           131072
  Neighbor table                131072
  Global policy                 16384
  Session affinity              65536
  Sock reverse NAT              65536
  Tunnel                        65536
Encryption:   Disabled   
```

#### Endpoint list

```
ENDPOINT   POLICY (ingress)   POLICY (egress)   IDENTITY   LABELS (source:key[=value])                                                  IPv6   IPv4         STATUS   
           ENFORCEMENT        ENFORCEMENT                                                                                                                   
40         Disabled           Disabled          1          reserved:host                                                                                    ready   
205        Disabled           Disabled          19259      k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system          10.0.0.20    ready   
                                                           k8s:io.cilium.k8s.policy.cluster=default                                                                 
                                                           k8s:io.cilium.k8s.policy.serviceaccount=coredns                                                          
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                              
                                                           k8s:k8s-app=kube-dns                                                                                     
443        Disabled           Disabled          19647      k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=default              10.0.0.33    ready   
                                                           k8s:io.cilium.k8s.policy.cluster=default                                                                 
                                                           k8s:io.cilium.k8s.policy.serviceaccount=default                                                          
                                                           k8s:io.kubernetes.pod.namespace=default                                                                  
                                                           k8s:run=cowboy                                                                                           
1176       Disabled           Disabled          4          reserved:health                                                                     10.0.0.85    ready   
2474       Disabled           Disabled          12899      k8s:app.kubernetes.io/name=hubble-relay                                             10.0.0.235   ready   
                                                           k8s:app.kubernetes.io/part-of=cilium                                                                     
                                                           k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system                               
                                                           k8s:io.cilium.k8s.policy.cluster=default                                                                 
                                                           k8s:io.cilium.k8s.policy.serviceaccount=hubble-relay                                                     
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                              
                                                           k8s:k8s-app=hubble-relay                                                                                 
```

#### BPF Policy Get 40

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES   PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    0       0         0        
Allow    Egress      0          ANY          NONE         disabled    0       0         0        

```


#### BPF CT List 40

```
Invalid argument: unknown type 40
```


#### Endpoint Get 40

```
[
  {
    "id": 40,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-40-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "1a9b49da-8b0f-4a3e-b76a-0065a6aabfea"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-40",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:17:51.627Z",
            "success-count": 225
          },
          "uuid": "210ebbf1-de5d-4812-8b5c-65e3eeae1ef7"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-40",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:22:04.325Z",
            "success-count": 1127
          },
          "uuid": "c1eca21f-6926-4c24-a3c0-2e41b8c25cca"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (40)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:22:05.507Z",
            "success-count": 6747
          },
          "uuid": "f0a1c445-9e5f-4ed4-a883-d3f5d1c4363f"
        }
      ],
      "external-identifiers": {
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 1,
        "labels": [
          "reserved:host"
        ]
      },
      "labels": {
        "derived": [
          "reserved:host"
        ],
        "realized": {},
        "security-relevant": [
          "reserved:host"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2023-09-02T21:53:03Z"
        }
      ],
      "networking": {
        "addressing": [
          {}
        ],
        "host-mac": "36:8c:ea:06:c0:f3",
        "interface-name": "cilium_host",
        "mac": "36:8c:ea:06:c0:f3"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 40

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 40

```
Timestamp              Status   State                   Message
2023-09-02T21:53:03Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-09-02T21:53:03Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T21:53:03Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-09-02T21:53:03Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-09-02T20:38:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-09-02T20:38:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T20:38:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-09-02T20:38:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-09-02T20:38:37Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-09-02T20:38:37Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T20:38:37Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-09-02T20:38:37Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-09-02T20:37:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2023-09-02T20:37:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T20:37:51Z   OK       regenerating            Regenerating endpoint: updated security labels
2023-09-02T20:37:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2023-09-02T20:37:51Z   OK       ready                   Set identity for this endpoint
2023-09-02T20:37:51Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 1

```
ID   LABELS
1    reserved:host

```


#### BPF Policy Get 205

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES     PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    6270      57        0        
Allow    Ingress     1          ANY          NONE         disabled    6555422   74386     0        
Allow    Egress      0          ANY          NONE         disabled    840961    11364     0        

```


#### BPF CT List 205

```
Invalid argument: unknown type 205
```


#### Endpoint Get 205

```
[
  {
    "id": 205,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-205-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "0574d456-88b5-4cc3-b7c5-4bf0c96b3202"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-205",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:17:52.334Z",
            "success-count": 225
          },
          "uuid": "68e002c9-26d1-4bae-ba56-87224982e189"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-205",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:22:04.324Z",
            "success-count": 1127
          },
          "uuid": "c2db2c11-86eb-4d30-9149-26453bd80da9"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (205)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:22:06.549Z",
            "success-count": 6747
          },
          "uuid": "8d7394e1-d35a-47b4-9c3f-7d98c2850450"
        }
      ],
      "external-identifiers": {
        "container-id": "5218ed1a30d8fc895f0f178c25b5d0398de050ae1acb630d203b5147143d71f6",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "coredns-5dd5756b68-r768b",
        "pod-name": "kube-system/coredns-5dd5756b68-r768b"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 19259,
        "labels": [
          "k8s:io.cilium.k8s.policy.serviceaccount=coredns",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:k8s-app=kube-dns",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.kubernetes.pod.namespace=kube-system"
        ]
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=5dd5756b68"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=coredns",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=kube-dns"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2023-09-02T21:53:03Z"
        }
      ],
      "namedPorts": [
        {
          "name": "dns",
          "port": 53,
          "protocol": "UDP"
        },
        {
          "name": "dns-tcp",
          "port": 53,
          "protocol": "TCP"
        },
        {
          "name": "metrics",
          "port": 9153,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.0.0.20",
            "ipv4-pool-name": "default"
          }
        ],
        "host-mac": "62:27:69:bd:e9:30",
        "interface-index": 11,
        "interface-name": "lxc01821da95de3",
        "mac": "76:51:3b:40:3f:5a"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 19259,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 19259,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 205

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 205

```
Timestamp              Status   State                   Message
2023-09-02T21:53:03Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-09-02T21:53:03Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T21:53:03Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-09-02T21:53:03Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-09-02T20:38:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-09-02T20:38:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T20:38:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-09-02T20:38:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-09-02T20:38:37Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-09-02T20:38:37Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T20:38:37Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-09-02T20:38:37Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-09-02T20:37:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2023-09-02T20:37:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T20:37:54Z   OK       regenerating            Regenerating endpoint: updated security labels
2023-09-02T20:37:52Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2023-09-02T20:37:52Z   OK       ready                   Set identity for this endpoint
2023-09-02T20:37:52Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 19259

```
ID      LABELS
19259   k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=coredns
        k8s:io.kubernetes.pod.namespace=kube-system
        k8s:k8s-app=kube-dns

```


#### BPF Policy Get 443

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES   PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    0       0         0        
Allow    Ingress     1          ANY          NONE         disabled    0       0         0        
Allow    Egress      0          ANY          NONE         disabled    2227    21        0        

```


#### BPF CT List 443

```
Invalid argument: unknown type 443
```


#### Endpoint Get 443

```
[
  {
    "id": 443,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-443-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "8e868ebc-5843-4911-a517-ff55b046db02"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-443",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:18:06.283Z",
            "success-count": 221
          },
          "uuid": "7f0d3782-277b-482e-8b45-a4a310b02233"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-443",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:22:04.325Z",
            "success-count": 1105
          },
          "uuid": "9d4e222c-c45d-4127-8435-ec5565b85487"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (443)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:22:10.369Z",
            "success-count": 6626
          },
          "uuid": "93a8f5c3-2c0a-4d1d-bce2-95d6119e53d0"
        }
      ],
      "external-identifiers": {
        "container-id": "19b96ad47bfc24884c434cf6a503cc3ba5284da00b4deaca395c656df9eb0ddb",
        "k8s-namespace": "default",
        "k8s-pod-name": "cowboy",
        "pod-name": "default/cowboy"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 19647,
        "labels": [
          "k8s:run=cowboy",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=default",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.cilium.k8s.policy.cluster=default"
        ]
      },
      "labels": {
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=default",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:run=cowboy"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2023-09-02T21:53:03Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.0.0.33",
            "ipv4-pool-name": "default"
          }
        ],
        "host-mac": "3a:dd:fb:5f:6c:bf",
        "interface-index": 15,
        "interface-name": "lxc7481c8f6e779",
        "mac": "fa:8d:56:d6:28:54"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 19647,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 19647,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 443

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 443

```
Timestamp              Status   State                   Message
2023-09-02T21:53:03Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-09-02T21:53:03Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T21:53:03Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-09-02T21:53:03Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-09-02T20:58:06Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2023-09-02T20:58:06Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T20:58:06Z   OK       regenerating            Regenerating endpoint: updated security labels
2023-09-02T20:58:06Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2023-09-02T20:58:06Z   OK       ready                   Set identity for this endpoint
2023-09-02T20:58:06Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 19647

```
ID      LABELS
19647   k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=default
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=default
        k8s:io.kubernetes.pod.namespace=default
        k8s:run=cowboy

```


#### BPF Policy Get 1176

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES     PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    1869316   23622     0        
Allow    Ingress     1          ANY          NONE         disabled    864728    9832      0        
Allow    Egress      0          ANY          NONE         disabled    0         0         0        

```


#### BPF CT List 1176

```
Invalid argument: unknown type 1176
```


#### Endpoint Get 1176

```
[
  {
    "id": 1176,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1176-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "90bee4ac-5990-4bdc-acd8-683d62804fd2"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1176",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:17:52.696Z",
            "success-count": 225
          },
          "uuid": "32c9b99e-8fba-42b8-9469-708ab50f35f4"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-1176",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:22:04.324Z",
            "success-count": 1127
          },
          "uuid": "ec3820c0-cba9-486c-8a86-2d5ff615f078"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (1176)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:22:06.645Z",
            "success-count": 6747
          },
          "uuid": "451bf2d8-70fc-4358-b18c-1f6f15c5a822"
        }
      ],
      "external-identifiers": {
        "container-name": "cilium-health",
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 4,
        "labels": [
          "reserved:health"
        ]
      },
      "labels": {
        "realized": {},
        "security-relevant": [
          "reserved:health"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2023-09-02T21:53:03Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.0.0.85",
            "ipv4-pool-name": "default"
          }
        ],
        "host-mac": "8a:ae:65:5e:cc:e5",
        "interface-index": 7,
        "interface-name": "lxc_health",
        "mac": "7e:b2:05:40:c4:5c"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1176

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1176

```
Timestamp              Status   State                   Message
2023-09-02T21:53:03Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-09-02T21:53:03Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T21:53:03Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-09-02T21:53:03Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-09-02T20:38:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-09-02T20:38:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T20:38:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-09-02T20:38:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-09-02T20:38:37Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-09-02T20:38:37Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T20:38:37Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-09-02T20:38:37Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-09-02T20:37:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2023-09-02T20:37:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T20:37:54Z   OK       regenerating            Regenerating endpoint: updated security labels
2023-09-02T20:37:52Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2023-09-02T20:37:52Z   OK       ready                   Set identity for this endpoint
2023-09-02T20:37:51Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 4

```
ID   LABELS
4    reserved:health

```


#### BPF Policy Get 2474

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES     PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    2860      26        0        
Allow    Ingress     1          ANY          NONE         disabled    3569050   53999     0        
Allow    Egress      0          ANY          NONE         disabled    713408    5024      0        

```


#### BPF CT List 2474

```
Invalid argument: unknown type 2474
```


#### Endpoint Get 2474

```
[
  {
    "id": 2474,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-2474-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "8545e3af-51da-436d-bce3-e6f978ad5761"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-2474",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:17:52.198Z",
            "success-count": 225
          },
          "uuid": "b3b3603a-79be-40d7-8a24-391be3ee1103"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-2474",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:22:04.325Z",
            "success-count": 1127
          },
          "uuid": "aeb54092-7ce9-4bdb-b312-cd7ad09886e0"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (2474)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:22:06.359Z",
            "success-count": 6747
          },
          "uuid": "24776c5e-6e7a-4b11-98b6-26fc9e1a9ba2"
        }
      ],
      "external-identifiers": {
        "container-id": "9c8ee218e2c8bc0b3c69fdcf65237b68ee125a29a7010105c3cfc619b31e655a",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "hubble-relay-585bb7f68-ggqfg",
        "pod-name": "kube-system/hubble-relay-585bb7f68-ggqfg"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 12899,
        "labels": [
          "k8s:k8s-app=hubble-relay",
          "k8s:app.kubernetes.io/name=hubble-relay",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:io.cilium.k8s.policy.serviceaccount=hubble-relay",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:app.kubernetes.io/part-of=cilium"
        ]
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=585bb7f68"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:app.kubernetes.io/name=hubble-relay",
          "k8s:app.kubernetes.io/part-of=cilium",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=hubble-relay",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=hubble-relay"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2023-09-02T21:53:03Z"
        }
      ],
      "namedPorts": [
        {
          "name": "grpc",
          "port": 4245,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.0.0.235",
            "ipv4-pool-name": "default"
          }
        ],
        "host-mac": "ee:95:08:9f:98:4d",
        "interface-index": 9,
        "interface-name": "lxc45c02f72f87b",
        "mac": "ca:15:a0:f4:46:0c"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 12899,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 12899,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 2474

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 2474

```
Timestamp              Status   State                   Message
2023-09-02T21:53:03Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-09-02T21:53:03Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T21:53:03Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-09-02T21:53:03Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-09-02T20:38:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-09-02T20:38:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T20:38:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-09-02T20:38:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-09-02T20:38:37Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-09-02T20:38:37Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T20:38:37Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-09-02T20:38:37Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-09-02T20:37:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2023-09-02T20:37:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T20:37:52Z   OK       regenerating            Regenerating endpoint: updated security labels
2023-09-02T20:37:52Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2023-09-02T20:37:52Z   OK       ready                   Set identity for this endpoint
2023-09-02T20:37:52Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 12899

```
ID      LABELS
12899   k8s:app.kubernetes.io/name=hubble-relay
        k8s:app.kubernetes.io/part-of=cilium
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=hubble-relay
        k8s:io.kubernetes.pod.namespace=kube-system
        k8s:k8s-app=hubble-relay

```


#### Service list

```
ID   Frontend            Service Type   Backend                             
1    10.96.0.1:443       ClusterIP      1 => 192.168.100.12:6443 (active)   
                                        2 => 192.168.100.10:6443 (active)   
                                        3 => 192.168.100.11:6443 (active)   
2    10.96.222.124:443   ClusterIP      1 => 192.168.100.20:4244 (active)   
3    10.102.226.192:80   ClusterIP      1 => 10.0.0.235:4245 (active)       
4    10.104.176.144:80   ClusterIP      1 => 10.0.2.33:8081 (active)        
5    10.96.0.10:53       ClusterIP                                          
6    10.96.0.10:9153     ClusterIP                                          
```

#### Cilium memory map


```
00400000-02bf5000 r-xp 00000000 00:40 1488595                            /usr/bin/cilium-agent
02bf5000-0577f000 r--p 027f5000 00:40 1488595                            /usr/bin/cilium-agent
0577f000-058a3000 rw-p 0537f000 00:40 1488595                            /usr/bin/cilium-agent
058a3000-06036000 rw-p 00000000 00:00 0 
c000000000-c002600000 rw-p 00000000 00:00 0 
c002600000-c003c00000 rw-p 00000000 00:00 0 
c003c00000-c004000000 ---p 00000000 00:00 0 
7fa0c7a45000-7fa0c7b45000 rw-p 00000000 00:00 0 
7fa0c7b45000-7fa0c7b86000 rw-s 00000000 00:0e 12486                      anon_inode:[perf_event]
7fa0c7b86000-7fa0c7bc7000 rw-s 00000000 00:0e 12486                      anon_inode:[perf_event]
7fa0c7bc7000-7fa0c7bc9000 rw-s 00000000 00:0e 12486                      anon_inode:[perf_event]
7fa0c7bc9000-7fa0c7bcb000 rw-s 00000000 00:0e 12486                      anon_inode:[perf_event]
7fa0c7bcb000-7fa0ca400000 rw-p 00000000 00:00 0 
7fa0ca400000-7fa0ca600000 rw-p 00000000 00:00 0 
7fa0ca600000-7fa0ca6fd000 rw-p 00000000 00:00 0 
7fa0ca6fd000-7fa0dac76000 ---p 00000000 00:00 0 
7fa0dac76000-7fa0dac77000 rw-p 00000000 00:00 0 
7fa0dac77000-7fa0ecb26000 ---p 00000000 00:00 0 
7fa0ecb26000-7fa0ecb27000 rw-p 00000000 00:00 0 
7fa0ecb27000-7fa0eeefc000 ---p 00000000 00:00 0 
7fa0eeefc000-7fa0eeefd000 rw-p 00000000 00:00 0 
7fa0eeefd000-7fa0ef376000 ---p 00000000 00:00 0 
7fa0ef376000-7fa0ef377000 rw-p 00000000 00:00 0 
7fa0ef377000-7fa0ef3f6000 ---p 00000000 00:00 0 
7fa0ef3f6000-7fa0ef456000 rw-p 00000000 00:00 0 
7ffc67f6e000-7ffc67f8f000 rw-p 00000000 00:00 0                          [stack]
7ffc67fb2000-7ffc67fb6000 r--p 00000000 00:00 0                          [vvar]
7ffc67fb6000-7ffc67fb8000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 --xp 00000000 00:00 0                  [vsyscall]

```


#### ipam

```
<nil>
```


#### k8s-service-cache

```
(*k8s.ServiceCache)(0xc0003cb1f0)({
 Events: (chan k8s.ServiceEvent) (cap=128) 0xc000cddc20,
 mutex: (lock.RWMutex) {
  internalRWMutex: (lock.internalRWMutex) {
   RWMutex: (sync.RWMutex) {
    w: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    writerSem: (uint32) 0,
    readerSem: (uint32) 0,
    readerCount: (atomic.Int32) {
     _: (atomic.noCopy) {
     },
     v: (int32) 1
    },
    readerWait: (atomic.Int32) {
     _: (atomic.noCopy) {
     },
     v: (int32) 0
    }
   }
  }
 },
 services: (map[k8s.ServiceID]*k8s.Service) (len=5) {
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.Service)(0xc000f37970)(frontends:[10.102.226.192]/ports=[]/selector=map[k8s-app:hubble-relay]),
  (k8s.ServiceID) kube-system/hubble-ui: (*k8s.Service)(0xc000f37a20)(frontends:[10.104.176.144]/ports=[http]/selector=map[k8s-app:hubble-ui]),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.Service)(0xc000f37ad0)(frontends:[10.96.0.10]/ports=[dns dns-tcp metrics]/selector=map[k8s-app:kube-dns]),
  (k8s.ServiceID) default/kubernetes: (*k8s.Service)(0xc000f37810)(frontends:[10.96.0.1]/ports=[https]/selector=map[]),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.Service)(0xc000f378c0)(frontends:[10.96.222.124]/ports=[peer-service]/selector=map[k8s-app:cilium])
 },
 endpoints: (map[k8s.ServiceID]*k8s.EndpointSlices) (len=5) {
  (k8s.ServiceID) default/kubernetes: (*k8s.EndpointSlices)(0xc0000f0458)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=10) "kubernetes": (*k8s.Endpoints)(0xc0014d3520)(192.168.100.10:6443/TCP,192.168.100.11:6443/TCP,192.168.100.12:6443/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.EndpointSlices)(0xc000481848)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=17) "hubble-peer-wjtbx": (*k8s.Endpoints)(0xc0014d3c70)(192.168.100.10:4244/TCP,192.168.100.11:4244/TCP,192.168.100.12:4244/TCP,192.168.100.20:4244/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.EndpointSlices)(0xc000481850)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=18) "hubble-relay-svjhj": (*k8s.Endpoints)(0xc0014d2750)(10.0.0.235:4245/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-ui: (*k8s.EndpointSlices)(0xc000481858)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=15) "hubble-ui-nrd6q": (*k8s.Endpoints)(0xc0014d24e0)(10.0.2.33:8081/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.EndpointSlices)(0xc000481860)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=14) "kube-dns-2n67q": (*k8s.Endpoints)(0xc000a39c70)()
   }
  })
 },
 externalEndpoints: (map[k8s.ServiceID]k8s.externalEndpoints) {
 },
 nodeAddressing: (*linux.linuxNodeAddressing)(0x5e20750)({
  ipv6: (linux.addressFamilyIPv6) {
  },
  ipv4: (linux.addressFamilyIPv4) {
  }
 }),
 selfNodeZoneLabel: (string) "",
 ServiceMutators: ([]func(*v1.Service, *k8s.Service)) <nil>
})

```


#### kvstore-locks

```
(map[string]kvstore.lockOwner) {
}

```


#### ongoing-endpoint-creations


#### Cilium version

```
1.14.1 c191ef6f 2023-08-10T18:54:57+02:00 go version go1.20.7 linux/amd64
```


#### Cilium environment keys

```
route-metric:0
socket-path:/var/run/cilium/cilium.sock
dnsproxy-lock-count:128
egress-masquerade-interfaces:
install-iptables-rules:true
metrics:
enable-ipv4-egress-gateway:false
enable-ip-masq-agent:false
routing-mode:tunnel
vlan-bpf-bypass:
bgp-announce-pod-cidr:false
unmanaged-pod-watcher-interval:15
enable-srv6:false
bpf-ct-timeout-regular-any:1m0s
kube-proxy-replacement:strict
monitor-aggregation-interval:5s
endpoint-gc-interval:5m0s
enable-bpf-clock-probe:false
enable-cilium-api-server-access:
node-port-acceleration:disabled
bpf-policy-map-max:16384
cnp-node-status-gc-interval:0s
k8s-kubeconfig-path:
bpf-lb-rss-ipv6-src-cidr:
bpf-filter-priority:1
enable-icmp-rules:true
http-retry-count:3
http-idle-timeout:0
ipv4-service-range:auto
ipv4-range:auto
tofqdns-dns-reject-response-code:refused
http-request-timeout:3600
http-max-grpc-timeout:0
tofqdns-max-deferred-connection-deletes:10000
log-driver:
enable-health-checking:true
ipv6-cluster-alloc-cidr:f00d::/64
l2-announcements-retry-period:2s
keep-config:false
hubble-listen-address::4244
enable-ipv4-masquerade:true
dnsproxy-concurrency-processing-grace-period:0s
agent-labels:
enable-mke:false
enable-service-topology:false
tofqdns-enable-dns-compression:true
dnsproxy-lock-timeout:500ms
enable-bandwidth-manager:false
dns-policy-unload-on-shutdown:false
mtu:0
cluster-id:0
k8s-sync-timeout:3m0s
labels:
enable-policy:default
cilium-endpoint-gc-interval:5m0s
enable-l2-neigh-discovery:true
kvstore-connectivity-timeout:2m0s
hubble-tls-key-file:/var/lib/cilium/tls/hubble/server.key
proxy-prometheus-port:9964
enable-xt-socket-fallback:true
k8s-service-cache-size:128
hubble-tls-client-ca-files:/var/lib/cilium/tls/hubble/client-ca.crt
disable-iptables-feeder-rules:
ipv4-native-routing-cidr:
enable-ipsec:false
fqdn-regex-compile-lru-size:1024
tofqdns-pre-cache:
hubble-socket-path:/var/run/cilium/hubble.sock
enable-pmtu-discovery:false
k8s-client-burst:10
bpf-lb-maglev-hash-seed:JLfvgnHc2kaSUFaI
bpf-lb-algorithm:random
envoy-config-timeout:2m0s
bpf-lb-mode:snat
proxy-gid:1337
enable-well-known-identities:false
agent-liveness-update-interval:1s
enable-k8s-terminating-endpoint:true
encrypt-interface:
synchronize-k8s-nodes:true
mesh-auth-mutual-listener-port:0
proxy-max-requests-per-connection:0
hubble-monitor-events:
config:
ipv6-node:auto
bpf-sock-rev-map-max:262144
enable-remote-node-identity:true
fixed-identity-mapping:
disable-cnp-status-updates:true
enable-cilium-health-api-server-access:
enable-k8s-event-handover:false
ipv6-native-routing-cidr:
enable-k8s-endpoint-slice:true
conntrack-gc-interval:0s
bpf-ct-timeout-regular-tcp:6h0m0s
bpf-lb-dev-ip-addr-inherit:
ip-allocation-timeout:2m0s
ipv6-mcast-device:
ipam-cilium-node-update-rate:15s
bgp-config-path:/var/lib/cilium/bgp/config.yaml
bgp-announce-lb-ip:false
bpf-lb-service-backend-map-max:0
direct-routing-device:
identity-heartbeat-timeout:30m0s
config-dir:/tmp/cilium/config-map
annotate-k8s-node:false
label-prefix-file:
enable-k8s-api-discovery:false
bpf-ct-timeout-service-any:1m0s
enable-hubble-recorder-api:true
vtep-mac:
enable-local-node-route:true
procfs:/host/proc
install-egress-gateway-routes:false
debug:false
arping-refresh-period:30s
hubble-export-file-max-size-mb:10
enable-l2-pod-announcements:false
gops-port:9890
ipv4-node:auto
vtep-endpoint:
kvstore:
bpf-ct-global-tcp-max:524288
custom-cni-conf:false
cni-log-file:/var/run/cilium/cilium-cni.log
tunnel-port:0
enable-ipv6:false
enable-node-port:false
allow-localhost:auto
set-cilium-node-taints:true
enable-ipv4-fragment-tracking:true
agent-not-ready-taint-key:node.cilium.io/agent-not-ready
disable-endpoint-crd:false
enable-runtime-device-detection:false
enable-sctp:false
bpf-auth-map-max:524288
state-dir:/var/run/cilium
bpf-lb-source-range-map-max:0
bpf-ct-timeout-regular-tcp-fin:10s
cluster-name:default
enable-wireguard-userspace-fallback:false
enable-vtep:false
log-opt:
enable-unreachable-routes:false
k8s-require-ipv6-pod-cidr:false
skip-cnp-status-startup-clean:false
enable-ipv6-ndp:false
enable-bpf-tproxy:false
enable-ipv4-big-tcp:false
cni-chaining-mode:none
log-system-load:false
enable-ipsec-key-watcher:true
hubble-skip-unknown-cgroup-ids:true
l2-pod-announcements-interface:
certificates-directory:/var/run/cilium/certs
mesh-auth-rotated-identities-queue-size:1024
http-403-msg:
srv6-encap-mode:reduced
tofqdns-endpoint-max-ip-per-hostname:50
hubble-metrics:
envoy-log:
crd-wait-timeout:5m0s
kvstore-max-consecutive-quorum-errors:2
enable-custom-calls:false
bpf-lb-affinity-map-max:0
kvstore-periodic-sync:5m0s
k8s-namespace:kube-system
ipv6-service-range:auto
external-envoy-proxy:false
pprof-address:localhost
tunnel:
bpf-fragments-map-max:8192
enable-svc-source-range-check:true
endpoint-queue-size:25
auto-direct-node-routes:false
proxy-connect-timeout:2
l2-announcements-renew-deadline:5s
hubble-event-buffer-capacity:4095
write-cni-conf-when-ready:/host/etc/cni/net.d/05-cilium.conflist
enable-xdp-prefilter:false
iptables-random-fully:false
hubble-export-file-compress:false
bpf-lb-rss-ipv4-src-cidr:
single-cluster-route:false
hubble-event-queue-size:0
hubble-recorder-sink-queue-size:1024
bpf-lb-external-clusterip:false
tofqdns-idle-connection-grace-period:0s
bpf-lb-sock-hostns-only:false
bpf-ct-global-any-max:262144
prepend-iptables-chains:true
enable-cilium-endpoint-slice:false
bpf-lb-acceleration:disabled
ipv4-pod-subnets:
tofqdns-proxy-port:0
sidecar-istio-proxy-image:cilium/istio_proxy
mesh-auth-spiffe-trust-domain:spiffe.cilium
enable-host-firewall:false
mesh-auth-enabled:true
clustermesh-config:/var/lib/cilium/clustermesh/
derive-masquerade-ip-addr-from-device:
cluster-health-port:4240
enable-ipv4:true
kube-proxy-replacement-healthz-bind-address:
node-port-algorithm:random
bpf-nat-global-max:524288
enable-auto-protect-node-port-range:true
prometheus-serve-addr::9962
enable-external-ips:false
disable-envoy-version-check:false
monitor-aggregation-flags:all
local-max-addr-scope:252
ipv6-range:auto
policy-audit-mode:false
monitor-aggregation:medium
kvstore-opt:
enable-envoy-config:false
local-router-ipv6:
pprof:false
version:false
debug-verbose:
bpf-lb-maglev-table-size:16381
k8s-heartbeat-timeout:30s
k8s-watcher-endpoint-selector:metadata.name!=kube-scheduler,metadata.name!=kube-controller-manager,metadata.name!=etcd-operator,metadata.name!=gcp-controller-manager
dns-max-ips-per-restored-rule:1000
api-rate-limit:
set-cilium-is-up-condition:true
encrypt-node:false
read-cni-conf:
ipsec-key-file:
enable-bpf-masquerade:false
devices:
enable-host-port:false
enable-ipv6-masquerade:true
enable-nat46x64-gateway:false
identity-change-grace-period:5s
install-no-conntrack-iptables-rules:false
hubble-disable-tls:false
cflags:
hubble-prefer-ipv6:false
bpf-neigh-global-max:524288
bpf-ct-timeout-service-tcp:6h0m0s
hubble-export-file-path:
k8s-client-qps:5
policy-trigger-interval:1s
enable-identity-mark:true
iptables-lock-timeout:5s
lib-dir:/var/lib/cilium
bpf-lb-sock:false
monitor-queue-size:0
bypass-ip-availability-upon-restore:false
enable-endpoint-health-checking:true
node-encryption-opt-out-labels:node-role.kubernetes.io/control-plane
bpf-map-dynamic-size-ratio:0.0025
local-router-ipv4:
vtep-mask:
cgroup-root:/run/cilium/cgroupv2
k8s-require-ipv4-pod-cidr:false
enable-bgp-control-plane:false
node-port-mode:snat
enable-recorder:false
bpf-lb-dsr-l4-xlate:frontend
enable-local-redirect-policy:false
enable-k8s:true
enable-tracing:false
operator-api-serve-addr:127.0.0.1:9234
join-cluster:false
ipam-multi-pool-pre-allocation:default=8
enable-wireguard:false
preallocate-bpf-maps:false
dnsproxy-concurrency-limit:0
allow-icmp-frag-needed:true
http-normalize-path:true
bpf-root:/sys/fs/bpf
enable-endpoint-routes:false
trace-sock:true
enable-l2-announcements:false
node-port-bind-protection:true
restore:true
enable-k8s-networkpolicy:true
identity-allocation-mode:crd
ip-masq-agent-config-path:/etc/config/ip-masq-agent
bpf-lb-dsr-dispatch:opt
hubble-export-file-max-backups:5
trace-payloadlen:128
mesh-auth-queue-size:1024
bpf-ct-timeout-service-tcp-grace:1m0s
http-retry-timeout:0
max-controller-interval:0
ipsec-key-rotation-duration:5m0s
ipv4-service-loopback-address:169.254.42.1
hubble-tls-cert-file:/var/lib/cilium/tls/hubble/server.crt
bpf-lb-rev-nat-map-max:0
identity-restore-grace-period:10m0s
l2-announcements-lease-duration:15s
kvstore-lease-ttl:15m0s
bpf-lb-maglev-map-max:0
egress-multi-home-ip-rule-compat:false
agent-health-port:9879
vtep-cidr:
ipv6-pod-subnets:
bpf-ct-timeout-regular-tcp-syn:1m0s
use-cilium-internal-ip-for-ipsec:false
enable-bbr:false
tunnel-protocol:vxlan
egress-gateway-policy-map-max:16384
auto-create-cilium-node-resource:true
enable-ipv6-big-tcp:false
enable-session-affinity:false
enable-stale-cilium-endpoint-cleanup:true
datapath-mode:veth
bpf-lb-service-map-max:0
cni-exclusive:true
allocator-list-timeout:3m0s
tofqdns-proxy-response-max-delay:100ms
enable-high-scale-ipcache:false
mesh-auth-spire-admin-socket:
hubble-recorder-storage-path:/var/run/cilium/pcaps
k8s-service-proxy-name:
cmdref:
egress-gateway-reconciliation-trigger-interval:1s
mesh-auth-gc-interval:5m0s
endpoint-status:
exclude-local-address:
proxy-idle-timeout-seconds:60
bpf-map-event-buffers:
nodes-gc-interval:5m0s
remove-cilium-node-taints:true
proxy-max-connection-duration-seconds:0
enable-l7-proxy:true
tofqdns-min-ttl:0
config-sources:config-map:kube-system/cilium-config
cluster-pool-ipv4-mask-size:24
k8s-api-server:
pprof-port:6060
policy-queue-size:100
mke-cgroup-mount:
enable-host-legacy-routing:false
bpf-lb-map-max:65536
cni-chaining-target:
hubble-metrics-server:
enable-monitor:true
enable-health-check-nodeport:true
cluster-pool-ipv4-cidr:10.0.0.0/8
node-port-range:
enable-hubble:true
ipam:cluster-pool
identity-gc-interval:15m0s
```


#### Policy get

```
:
 []
Revision: 1

```


#### Cilium encryption


