# Cilium debug information

#### Endpoint list

```
ENDPOINT   POLICY (ingress)   POLICY (egress)   IDENTITY   LABELS (source:key[=value])                                                  IPv6   IPv4         STATUS   
           ENFORCEMENT        ENFORCEMENT                                                                                                                   
1219       Disabled           Disabled          1          k8s:node-role.kubernetes.io/control-plane                                                        ready   
                                                           k8s:node.kubernetes.io/exclude-from-external-load-balancers                                              
                                                           reserved:host                                                                                            
1412       Disabled           Disabled          19259      k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system          10.0.1.134   ready   
                                                           k8s:io.cilium.k8s.policy.cluster=default                                                                 
                                                           k8s:io.cilium.k8s.policy.serviceaccount=coredns                                                          
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                              
                                                           k8s:k8s-app=kube-dns                                                                                     
2024       Disabled           Disabled          4          reserved:health                                                                     10.0.1.213   ready   
```

#### BPF Policy Get 1219

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES   PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    0       0         0        
Allow    Egress      0          ANY          NONE         disabled    0       0         0        

```


#### BPF CT List 1219

```
Invalid argument: unknown type 1219
```


#### Endpoint Get 1219

```
[
  {
    "id": 1219,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1219-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "e328431d-29ac-4e84-8432-e0b4a8da451c"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1219",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:17:51.698Z",
            "success-count": 225
          },
          "uuid": "ac1cccc2-e689-41a3-8ed5-a7b63edc6d2e"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-1219",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:22:04.316Z",
            "success-count": 1126
          },
          "uuid": "fe8c87d8-ea6e-4e1f-99e9-38abf37dfe09"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (1219)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:22:05.594Z",
            "success-count": 6747
          },
          "uuid": "2a9e51f1-175d-4fea-8639-b722fa50a3cd"
        }
      ],
      "external-identifiers": {
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 1,
        "labels": [
          "reserved:host",
          "k8s:node-role.kubernetes.io/control-plane",
          "k8s:node.kubernetes.io/exclude-from-external-load-balancers"
        ]
      },
      "labels": {
        "derived": [
          "k8s:node-role.kubernetes.io/control-plane",
          "k8s:node.kubernetes.io/exclude-from-external-load-balancers",
          "reserved:host"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:node-role.kubernetes.io/control-plane",
          "k8s:node.kubernetes.io/exclude-from-external-load-balancers",
          "reserved:host"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2023-09-02T21:53:03Z"
        }
      ],
      "networking": {
        "addressing": [
          {}
        ],
        "host-mac": "d6:7a:ac:7d:ca:27",
        "interface-name": "cilium_host",
        "mac": "d6:7a:ac:7d:ca:27"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1219

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1219

```
Timestamp              Status   State                   Message
2023-09-02T21:53:03Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-09-02T21:53:03Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T21:53:03Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-09-02T21:53:03Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-09-02T20:38:37Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-09-02T20:38:37Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T20:38:37Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-09-02T20:38:37Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-09-02T20:37:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2023-09-02T20:37:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T20:37:51Z   OK       regenerating            Regenerating endpoint: updated security labels
2023-09-02T20:37:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2023-09-02T20:37:51Z   OK       ready                   Set identity for this endpoint
2023-09-02T20:37:51Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 1

```
ID   LABELS
1    reserved:host

```


#### BPF Policy Get 1412

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES     PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    7150      65        0        
Allow    Ingress     1          ANY          NONE         disabled    6959084   80279     0        
Allow    Egress      0          ANY          NONE         disabled    842070    11379     0        

```


#### BPF CT List 1412

```
Invalid argument: unknown type 1412
```


#### Endpoint Get 1412

```
[
  {
    "id": 1412,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1412-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "2d831d61-6d0b-43a8-ad9f-8d1f93851311"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1412",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:17:52.224Z",
            "success-count": 225
          },
          "uuid": "ed42a458-29c0-4253-932c-855c0279e7df"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-1412",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:22:04.316Z",
            "success-count": 1126
          },
          "uuid": "e9209edf-8e39-4175-8996-5e90530fcd6a"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (1412)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:22:06.420Z",
            "success-count": 6747
          },
          "uuid": "fb777975-949a-4a24-b672-c38b0524d4b6"
        }
      ],
      "external-identifiers": {
        "container-id": "662a08b08bcc4d6c5e981cae3458e2c00a2bf64e9f619cef35851c78150b4b87",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "coredns-5dd5756b68-hchqq",
        "pod-name": "kube-system/coredns-5dd5756b68-hchqq"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 19259,
        "labels": [
          "k8s:io.cilium.k8s.policy.serviceaccount=coredns",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:k8s-app=kube-dns",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.kubernetes.pod.namespace=kube-system"
        ]
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=5dd5756b68"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=coredns",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=kube-dns"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2023-09-02T21:53:03Z"
        }
      ],
      "namedPorts": [
        {
          "name": "dns",
          "port": 53,
          "protocol": "UDP"
        },
        {
          "name": "dns-tcp",
          "port": 53,
          "protocol": "TCP"
        },
        {
          "name": "metrics",
          "port": 9153,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.0.1.134",
            "ipv4-pool-name": "default"
          }
        ],
        "host-mac": "7a:9a:5a:22:83:3c",
        "interface-index": 9,
        "interface-name": "lxcd2dfe643964f",
        "mac": "1a:db:e6:86:53:61"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 19259,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 19259,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1412

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1412

```
Timestamp              Status   State                   Message
2023-09-02T21:53:03Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-09-02T21:53:03Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T21:53:03Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-09-02T21:53:03Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-09-02T20:38:37Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-09-02T20:38:37Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T20:38:37Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-09-02T20:38:37Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-09-02T20:37:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2023-09-02T20:37:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T20:37:52Z   OK       regenerating            Regenerating endpoint: updated security labels
2023-09-02T20:37:52Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2023-09-02T20:37:52Z   OK       ready                   Set identity for this endpoint
2023-09-02T20:37:52Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 19259

```
ID      LABELS
19259   k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=coredns
        k8s:io.kubernetes.pod.namespace=kube-system
        k8s:k8s-app=kube-dns

```


#### BPF Policy Get 2024

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES     PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    1873150   23629     0        
Allow    Ingress     1          ANY          NONE         disabled    885720    10116     0        
Allow    Egress      0          ANY          NONE         disabled    0         0         0        

```


#### BPF CT List 2024

```
Invalid argument: unknown type 2024
```


#### Endpoint Get 2024

```
[
  {
    "id": 2024,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-2024-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "18c71eff-97ca-4261-88fe-33bba2c63d5c"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-2024",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:17:52.755Z",
            "success-count": 225
          },
          "uuid": "b63171bc-a034-4486-b52c-9539fac34fe9"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-2024",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:22:04.316Z",
            "success-count": 1126
          },
          "uuid": "b390391d-0437-4648-8252-05548339be6b"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (2024)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-09-03T15:22:06.657Z",
            "success-count": 6747
          },
          "uuid": "1554d2e8-c003-4fa4-bcc6-04c6fc9bbb01"
        }
      ],
      "external-identifiers": {
        "container-name": "cilium-health",
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 4,
        "labels": [
          "reserved:health"
        ]
      },
      "labels": {
        "realized": {},
        "security-relevant": [
          "reserved:health"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2023-09-02T21:53:03Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.0.1.213",
            "ipv4-pool-name": "default"
          }
        ],
        "host-mac": "1a:95:10:82:47:35",
        "interface-index": 7,
        "interface-name": "lxc_health",
        "mac": "92:39:a9:a8:58:47"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 2024

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 2024

```
Timestamp              Status   State                   Message
2023-09-02T21:53:03Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-09-02T21:53:03Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T21:53:03Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-09-02T21:53:03Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-09-02T20:38:37Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-09-02T20:38:37Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T20:38:37Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-09-02T20:38:37Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-09-02T20:37:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2023-09-02T20:37:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-09-02T20:37:54Z   OK       regenerating            Regenerating endpoint: updated security labels
2023-09-02T20:37:52Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2023-09-02T20:37:52Z   OK       ready                   Set identity for this endpoint
2023-09-02T20:37:51Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 4

```
ID   LABELS
4    reserved:health

```


#### Policy get

```
:
 []
Revision: 1

```


#### Cilium encryption



#### Cilium version

```
1.14.1 c191ef6f 2023-08-10T18:54:57+02:00 go version go1.20.7 linux/amd64
```


#### Kernel version

```
5.15.0
```


#### Cilium environment keys

```
enable-ipsec-key-watcher:true
enable-recorder:false
hubble-event-buffer-capacity:4095
read-cni-conf:
l2-announcements-renew-deadline:5s
tunnel-port:0
l2-pod-announcements-interface:
bpf-lb-service-map-max:0
enable-xdp-prefilter:false
config-dir:/tmp/cilium/config-map
bpf-lb-map-max:65536
enable-bpf-clock-probe:false
l2-announcements-retry-period:2s
direct-routing-device:
max-controller-interval:0
enable-k8s-api-discovery:false
envoy-log:
ipv4-native-routing-cidr:
cgroup-root:/run/cilium/cgroupv2
vtep-mask:
http-403-msg:
allow-icmp-frag-needed:true
k8s-heartbeat-timeout:30s
bpf-lb-dsr-dispatch:opt
enable-custom-calls:false
ipv6-cluster-alloc-cidr:f00d::/64
ipam-multi-pool-pre-allocation:default=8
pprof:false
proxy-connect-timeout:2
enable-policy:default
bpf-lb-dsr-l4-xlate:frontend
log-driver:
enable-host-legacy-routing:false
bpf-lb-source-range-map-max:0
encrypt-interface:
bpf-lb-external-clusterip:false
enable-session-affinity:false
hubble-metrics-server:
bpf-filter-priority:1
egress-gateway-policy-map-max:16384
policy-queue-size:100
socket-path:/var/run/cilium/cilium.sock
enable-ipsec:false
enable-k8s-networkpolicy:true
hubble-export-file-max-backups:5
ipam-cilium-node-update-rate:15s
bpf-ct-timeout-regular-any:1m0s
cluster-health-port:4240
monitor-aggregation-flags:all
enable-hubble:true
proxy-max-connection-duration-seconds:0
endpoint-status:
http-idle-timeout:0
hubble-skip-unknown-cgroup-ids:true
proxy-gid:1337
bpf-neigh-global-max:524288
enable-auto-protect-node-port-range:true
dnsproxy-lock-timeout:500ms
proxy-max-requests-per-connection:0
enable-runtime-device-detection:false
enable-tracing:false
config-sources:config-map:kube-system/cilium-config
ipam:cluster-pool
enable-ipv4-big-tcp:false
mesh-auth-spiffe-trust-domain:spiffe.cilium
mesh-auth-rotated-identities-queue-size:1024
vtep-cidr:
enable-l2-pod-announcements:false
enable-icmp-rules:true
bpf-lb-service-backend-map-max:0
node-port-range:
identity-restore-grace-period:10m0s
tofqdns-pre-cache:
envoy-config-timeout:2m0s
proxy-prometheus-port:9964
proxy-idle-timeout-seconds:60
ipv6-mcast-device:
annotate-k8s-node:false
k8s-api-server:
dns-policy-unload-on-shutdown:false
encrypt-node:false
bpf-lb-dev-ip-addr-inherit:
monitor-aggregation-interval:5s
identity-gc-interval:15m0s
node-port-algorithm:random
api-rate-limit:
install-no-conntrack-iptables-rules:false
enable-bpf-masquerade:false
k8s-client-burst:10
bpf-lb-sock-hostns-only:false
cluster-pool-ipv4-cidr:10.0.0.0/8
synchronize-k8s-nodes:true
enable-vtep:false
dnsproxy-lock-count:128
kvstore:
bpf-lb-rss-ipv4-src-cidr:
enable-identity-mark:true
log-opt:
ipv4-node:auto
cni-chaining-mode:none
enable-nat46x64-gateway:false
bpf-map-event-buffers:
ip-masq-agent-config-path:/etc/config/ip-masq-agent
version:false
allow-localhost:auto
pprof-address:localhost
k8s-client-qps:5
ipv6-node:auto
local-router-ipv6:
bpf-lb-maglev-hash-seed:JLfvgnHc2kaSUFaI
hubble-recorder-sink-queue-size:1024
enable-bandwidth-manager:false
disable-iptables-feeder-rules:
bpf-ct-global-tcp-max:524288
enable-ipv4:true
http-normalize-path:true
mesh-auth-gc-interval:5m0s
local-router-ipv4:
http-max-grpc-timeout:0
node-port-mode:snat
enable-stale-cilium-endpoint-cleanup:true
bgp-announce-pod-cidr:false
hubble-metrics:
dnsproxy-concurrency-limit:0
bpf-ct-global-any-max:262144
iptables-lock-timeout:5s
prepend-iptables-chains:true
local-max-addr-scope:252
enable-svc-source-range-check:true
vtep-endpoint:
http-retry-timeout:0
ipsec-key-file:
bpf-lb-affinity-map-max:0
enable-mke:false
auto-direct-node-routes:false
enable-endpoint-routes:false
preallocate-bpf-maps:false
ipv6-native-routing-cidr:
cmdref:
hubble-tls-key-file:/var/lib/cilium/tls/hubble/server.key
ipv6-service-range:auto
skip-cnp-status-startup-clean:false
enable-l2-neigh-discovery:true
identity-change-grace-period:5s
enable-ipv6-ndp:false
k8s-service-proxy-name:
keep-config:false
enable-external-ips:false
datapath-mode:veth
cilium-endpoint-gc-interval:5m0s
mesh-auth-queue-size:1024
egress-masquerade-interfaces:
bpf-lb-maglev-table-size:16381
remove-cilium-node-taints:true
agent-labels:
hubble-disable-tls:false
operator-api-serve-addr:127.0.0.1:9234
set-cilium-is-up-condition:true
ipsec-key-rotation-duration:5m0s
sidecar-istio-proxy-image:cilium/istio_proxy
hubble-recorder-storage-path:/var/run/cilium/pcaps
enable-hubble-recorder-api:true
install-iptables-rules:true
state-dir:/var/run/cilium
k8s-require-ipv6-pod-cidr:false
enable-sctp:false
set-cilium-node-taints:true
kvstore-connectivity-timeout:2m0s
enable-envoy-config:false
enable-monitor:true
hubble-monitor-events:
enable-ipv4-fragment-tracking:true
k8s-sync-timeout:3m0s
tofqdns-dns-reject-response-code:refused
agent-health-port:9879
k8s-service-cache-size:128
policy-audit-mode:false
external-envoy-proxy:false
unmanaged-pod-watcher-interval:15
mesh-auth-mutual-listener-port:0
restore:true
cluster-name:default
hubble-socket-path:/var/run/cilium/hubble.sock
enable-ipv6-big-tcp:false
identity-allocation-mode:crd
enable-high-scale-ipcache:false
certificates-directory:/var/run/cilium/certs
ipv4-service-loopback-address:169.254.42.1
config:
enable-l2-announcements:false
bpf-lb-mode:snat
bpf-lb-rev-nat-map-max:0
enable-remote-node-identity:true
enable-srv6:false
label-prefix-file:
ipv4-pod-subnets:
derive-masquerade-ip-addr-from-device:
kvstore-max-consecutive-quorum-errors:2
tofqdns-endpoint-max-ip-per-hostname:50
ipv4-range:auto
labels:
enable-well-known-identities:false
kube-proxy-replacement:strict
bpf-root:/sys/fs/bpf
enable-cilium-endpoint-slice:false
mke-cgroup-mount:
clustermesh-config:/var/lib/cilium/clustermesh/
route-metric:0
bpf-ct-timeout-regular-tcp:6h0m0s
use-cilium-internal-ip-for-ipsec:false
iptables-random-fully:false
enable-cilium-api-server-access:
enable-host-firewall:false
tofqdns-proxy-response-max-delay:100ms
enable-ipv4-masquerade:true
http-retry-count:3
enable-ipv6:false
single-cluster-route:false
fixed-identity-mapping:
enable-k8s-endpoint-slice:true
enable-host-port:false
fqdn-regex-compile-lru-size:1024
nodes-gc-interval:5m0s
bgp-config-path:/var/lib/cilium/bgp/config.yaml
hubble-tls-cert-file:/var/lib/cilium/tls/hubble/server.crt
enable-bpf-tproxy:false
enable-local-redirect-policy:false
devices:
cni-chaining-target:
arping-refresh-period:30s
vlan-bpf-bypass:
bpf-lb-acceleration:disabled
identity-heartbeat-timeout:30m0s
ipv6-pod-subnets:
enable-unreachable-routes:false
monitor-queue-size:0
debug-verbose:
bpf-fragments-map-max:8192
k8s-kubeconfig-path:
k8s-watcher-endpoint-selector:metadata.name!=kube-scheduler,metadata.name!=kube-controller-manager,metadata.name!=etcd-operator,metadata.name!=gcp-controller-manager
kvstore-lease-ttl:15m0s
enable-health-check-nodeport:true
vtep-mac:
mesh-auth-enabled:true
tofqdns-max-deferred-connection-deletes:10000
node-encryption-opt-out-labels:node-role.kubernetes.io/control-plane
tunnel:
bpf-lb-sock:false
routing-mode:tunnel
bpf-auth-map-max:524288
crd-wait-timeout:5m0s
procfs:/host/proc
enable-ipv4-egress-gateway:false
kube-proxy-replacement-healthz-bind-address:
enable-k8s:true
write-cni-conf-when-ready:/host/etc/cni/net.d/05-cilium.conflist
auto-create-cilium-node-resource:true
kvstore-opt:
hubble-tls-client-ca-files:/var/lib/cilium/tls/hubble/client-ca.crt
kvstore-periodic-sync:5m0s
cni-exclusive:true
lib-dir:/var/lib/cilium
trace-sock:true
bgp-announce-lb-ip:false
ipv6-range:auto
disable-endpoint-crd:false
policy-trigger-interval:1s
enable-health-checking:true
ip-allocation-timeout:2m0s
mesh-auth-spire-admin-socket:
bpf-ct-timeout-regular-tcp-syn:1m0s
monitor-aggregation:medium
bpf-lb-algorithm:random
trace-payloadlen:128
endpoint-queue-size:25
cluster-id:0
enable-wireguard:false
bpf-ct-timeout-service-any:1m0s
tofqdns-idle-connection-grace-period:0s
gops-port:9890
debug:false
disable-cnp-status-updates:true
hubble-export-file-compress:false
cnp-node-status-gc-interval:0s
tofqdns-enable-dns-compression:true
bpf-ct-timeout-regular-tcp-fin:10s
enable-k8s-event-handover:false
bpf-lb-maglev-map-max:0
node-port-acceleration:disabled
exclude-local-address:
l2-announcements-lease-duration:15s
enable-local-node-route:true
prometheus-serve-addr::9962
enable-wireguard-userspace-fallback:false
bpf-ct-timeout-service-tcp:6h0m0s
enable-endpoint-health-checking:true
enable-bgp-control-plane:false
bpf-map-dynamic-size-ratio:0.0025
dnsproxy-concurrency-processing-grace-period:0s
enable-l7-proxy:true
log-system-load:false
bpf-nat-global-max:524288
bpf-policy-map-max:16384
enable-ip-masq-agent:false
enable-ipv6-masquerade:true
metrics:
enable-bbr:false
enable-cilium-health-api-server-access:
tunnel-protocol:vxlan
egress-gateway-reconciliation-trigger-interval:1s
enable-xt-socket-fallback:true
bpf-lb-rss-ipv6-src-cidr:
disable-envoy-version-check:false
bypass-ip-availability-upon-restore:false
ipv4-service-range:auto
hubble-event-queue-size:0
mtu:0
k8s-namespace:kube-system
enable-service-topology:false
join-cluster:false
http-request-timeout:3600
enable-pmtu-discovery:false
bpf-ct-timeout-service-tcp-grace:1m0s
hubble-listen-address::4244
egress-multi-home-ip-rule-compat:false
bpf-sock-rev-map-max:262144
enable-node-port:false
k8s-require-ipv4-pod-cidr:false
enable-k8s-terminating-endpoint:true
cni-log-file:/var/run/cilium/cilium-cni.log
pprof-port:6060
endpoint-gc-interval:5m0s
hubble-export-file-max-size-mb:10
allocator-list-timeout:3m0s
cluster-pool-ipv4-mask-size:24
install-egress-gateway-routes:false
node-port-bind-protection:true
hubble-export-file-path:
srv6-encap-mode:reduced
conntrack-gc-interval:0s
agent-not-ready-taint-key:node.cilium.io/agent-not-ready
dns-max-ips-per-restored-rule:1000
agent-liveness-update-interval:1s
tofqdns-min-ttl:0
tofqdns-proxy-port:0
hubble-prefer-ipv6:false
cflags:
custom-cni-conf:false
```


#### ipam

```
<nil>
```


#### k8s-service-cache

```
(*k8s.ServiceCache)(0xc00017c770)({
 Events: (chan k8s.ServiceEvent) (cap=128) 0xc000eeb200,
 mutex: (lock.RWMutex) {
  internalRWMutex: (lock.internalRWMutex) {
   RWMutex: (sync.RWMutex) {
    w: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    writerSem: (uint32) 0,
    readerSem: (uint32) 0,
    readerCount: (atomic.Int32) {
     _: (atomic.noCopy) {
     },
     v: (int32) 1
    },
    readerWait: (atomic.Int32) {
     _: (atomic.noCopy) {
     },
     v: (int32) 0
    }
   }
  }
 },
 services: (map[k8s.ServiceID]*k8s.Service) (len=5) {
  (k8s.ServiceID) default/kubernetes: (*k8s.Service)(0xc0013e82c0)(frontends:[10.96.0.1]/ports=[https]/selector=map[]),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.Service)(0xc0013e8370)(frontends:[10.96.222.124]/ports=[peer-service]/selector=map[k8s-app:cilium]),
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.Service)(0xc0013e8420)(frontends:[10.102.226.192]/ports=[]/selector=map[k8s-app:hubble-relay]),
  (k8s.ServiceID) kube-system/hubble-ui: (*k8s.Service)(0xc0013e84d0)(frontends:[10.104.176.144]/ports=[http]/selector=map[k8s-app:hubble-ui]),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.Service)(0xc0013e8580)(frontends:[10.96.0.10]/ports=[dns dns-tcp metrics]/selector=map[k8s-app:kube-dns])
 },
 endpoints: (map[k8s.ServiceID]*k8s.EndpointSlices) (len=5) {
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.EndpointSlices)(0xc000ab27a0)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=14) "kube-dns-2n67q": (*k8s.Endpoints)(0xc000c60b60)()
   }
  }),
  (k8s.ServiceID) default/kubernetes: (*k8s.EndpointSlices)(0xc000ab27a8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=10) "kubernetes": (*k8s.Endpoints)(0xc00168eea0)(192.168.100.10:6443/TCP,192.168.100.11:6443/TCP,192.168.100.12:6443/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.EndpointSlices)(0xc000ab27b0)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=17) "hubble-peer-wjtbx": (*k8s.Endpoints)(0xc001c0bba0)(192.168.100.10:4244/TCP,192.168.100.11:4244/TCP,192.168.100.12:4244/TCP,192.168.100.20:4244/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.EndpointSlices)(0xc000ab2790)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=18) "hubble-relay-svjhj": (*k8s.Endpoints)(0xc00185ea90)(10.0.0.235:4245/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-ui: (*k8s.EndpointSlices)(0xc000ab2798)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=15) "hubble-ui-nrd6q": (*k8s.Endpoints)(0xc00185e680)(10.0.2.33:8081/TCP)
   }
  })
 },
 externalEndpoints: (map[k8s.ServiceID]k8s.externalEndpoints) {
 },
 nodeAddressing: (*linux.linuxNodeAddressing)(0x5e20750)({
  ipv6: (linux.addressFamilyIPv6) {
  },
  ipv4: (linux.addressFamilyIPv4) {
  }
 }),
 selfNodeZoneLabel: (string) "",
 ServiceMutators: ([]func(*v1.Service, *k8s.Service)) <nil>
})

```


#### kvstore-locks

```
(map[string]kvstore.lockOwner) {
}

```


#### ongoing-endpoint-creations


#### Cilium status

```
KVStore:                Ok   Disabled
Kubernetes:             Ok   1.28 (v1.28.1) [linux/amd64]
Kubernetes APIs:        ["EndpointSliceOrEndpoint", "cilium/v2::CiliumClusterwideNetworkPolicy", "cilium/v2::CiliumEndpoint", "cilium/v2::CiliumNetworkPolicy", "cilium/v2::CiliumNode", "cilium/v2alpha1::CiliumCIDRGroup", "core/v1::Namespace", "core/v1::Pods", "core/v1::Service", "networking.k8s.io/v1::NetworkPolicy"]
KubeProxyReplacement:   Strict   [enp1s0 192.168.100.11]
Host firewall:          Disabled
CNI Chaining:           none
Cilium:                 Ok   1.14.1 (v1.14.1-c191ef6f)
NodeMonitor:            Listening for events on 2 CPUs with 64x4096 of shared memory
Cilium health daemon:   Ok   
IPAM:                   IPv4: 3/254 allocated from 10.0.1.0/24, 
Allocated addresses:
  10.0.1.134 (kube-system/coredns-5dd5756b68-hchqq)
  10.0.1.213 (health)
  10.0.1.63 (router)
IPv4 BIG TCP:           Disabled
IPv6 BIG TCP:           Disabled
BandwidthManager:       Disabled
Host Routing:           Legacy
Masquerading:           IPTables [IPv4: Enabled, IPv6: Disabled]
Clock Source for BPF:   ktime
Controller Status:      24/24 healthy
  Name                                  Last success    Last error      Count   Message
  cilium-health-ep                      17s ago         never           0       no error   
  dns-garbage-collector-job             23s ago         never           0       no error   
  endpoint-1219-regeneration-recovery   never           never           0       no error   
  endpoint-1412-regeneration-recovery   never           never           0       no error   
  endpoint-2024-regeneration-recovery   never           never           0       no error   
  endpoint-gc                           4m23s ago       never           0       no error   
  ipcache-inject-labels                 18s ago         18h44m22s ago   0       no error   
  k8s-heartbeat                         20s ago         never           0       no error   
  link-cache                            16s ago         never           0       no error   
  metricsmap-bpf-prom-sync              5s ago          never           0       no error   
  resolve-identity-1219                 4m19s ago       never           0       no error   
  resolve-identity-1412                 4m19s ago       never           0       no error   
  resolve-identity-2024                 4m18s ago       never           0       no error   
  sync-host-ips                         18s ago         never           0       no error   
  sync-lb-maps-with-k8s-services        18h44m19s ago   never           0       no error   
  sync-policymap-1219                   6s ago          never           0       no error   
  sync-policymap-1412                   6s ago          never           0       no error   
  sync-policymap-2024                   6s ago          never           0       no error   
  sync-to-k8s-ciliumendpoint (1219)     5s ago          never           0       no error   
  sync-to-k8s-ciliumendpoint (1412)     4s ago          never           0       no error   
  sync-to-k8s-ciliumendpoint (2024)     4s ago          never           0       no error   
  sync-utime                            18s ago         never           0       no error   
  template-dir-watcher                  never           never           0       no error   
  write-cni-file                        18h44m23s ago   never           0       no error   
Proxy Status:            OK, ip 10.0.1.63, 0 redirects active on ports 10000-20000, Envoy: embedded
Global Identity Range:   min 256, max 65535
Hubble:                  Ok   Current/Max Flows: 4095/4095 (100.00%), Flows/s: 2.71   Metrics: Disabled
KubeProxyReplacement Details:
  Status:                 Strict
  Socket LB:              Enabled
  Socket LB Tracing:      Enabled
  Socket LB Coverage:     Full
  Devices:                enp1s0 192.168.100.11
  Mode:                   SNAT
  Backend Selection:      Random
  Session Affinity:       Enabled
  Graceful Termination:   Enabled
  NAT46/64 Support:       Disabled
  XDP Acceleration:       Disabled
  Services:
  - ClusterIP:      Enabled
  - NodePort:       Enabled (Range: 30000-32767) 
  - LoadBalancer:   Enabled 
  - externalIPs:    Enabled 
  - HostPort:       Enabled
BPF Maps:   dynamic sizing: on (ratio: 0.002500)
  Name                          Size
  Auth                          524288
  Non-TCP connection tracking   65536
  TCP connection tracking       131072
  Endpoint policy               65535
  IP cache                      512000
  IPv4 masquerading agent       16384
  IPv6 masquerading agent       16384
  IPv4 fragmentation            8192
  IPv4 service                  65536
  IPv6 service                  65536
  IPv4 service backend          65536
  IPv6 service backend          65536
  IPv4 service reverse NAT      65536
  IPv6 service reverse NAT      65536
  Metrics                       1024
  NAT                           131072
  Neighbor table                131072
  Global policy                 16384
  Session affinity              65536
  Sock reverse NAT              65536
  Tunnel                        65536
Encryption:   Disabled   
```

#### Service list

```
ID   Frontend            Service Type   Backend                             
1    10.96.0.1:443       ClusterIP      1 => 192.168.100.11:6443 (active)   
                                        2 => 192.168.100.12:6443 (active)   
                                        3 => 192.168.100.10:6443 (active)   
2    10.96.222.124:443   ClusterIP      1 => 192.168.100.11:4244 (active)   
3    10.102.226.192:80   ClusterIP      1 => 10.0.0.235:4245 (active)       
4    10.104.176.144:80   ClusterIP      1 => 10.0.2.33:8081 (active)        
5    10.96.0.10:53       ClusterIP                                          
6    10.96.0.10:9153     ClusterIP                                          
```

#### Cilium memory map


```
00400000-02bf5000 r-xp 00000000 00:92 655654                             /usr/bin/cilium-agent
02bf5000-0577f000 r--p 027f5000 00:92 655654                             /usr/bin/cilium-agent
0577f000-058a3000 rw-p 0537f000 00:92 655654                             /usr/bin/cilium-agent
058a3000-06036000 rw-p 00000000 00:00 0 
c000000000-c002200000 rw-p 00000000 00:00 0 
c002200000-c003000000 rw-p 00000000 00:00 0 
c003000000-c003400000 rw-p 00000000 00:00 0 
c003400000-c003c00000 rw-p 00000000 00:00 0 
c003c00000-c004000000 ---p 00000000 00:00 0 
7f724f44e000-7f724f50e000 rw-p 00000000 00:00 0 
7f724f50e000-7f724f54f000 rw-s 00000000 00:0e 12486                      anon_inode:[perf_event]
7f724f54f000-7f724f590000 rw-s 00000000 00:0e 12486                      anon_inode:[perf_event]
7f724f590000-7f724f592000 rw-s 00000000 00:0e 12486                      anon_inode:[perf_event]
7f724f592000-7f724f594000 rw-s 00000000 00:0e 12486                      anon_inode:[perf_event]
7f724f594000-7f7251e00000 rw-p 00000000 00:00 0 
7f7251e00000-7f7252000000 rw-p 00000000 00:00 0 
7f7252000000-7f72520b6000 rw-p 00000000 00:00 0 
7f72520b6000-7f726262f000 ---p 00000000 00:00 0 
7f726262f000-7f7262630000 rw-p 00000000 00:00 0 
7f7262630000-7f72744df000 ---p 00000000 00:00 0 
7f72744df000-7f72744e0000 rw-p 00000000 00:00 0 
7f72744e0000-7f72768b5000 ---p 00000000 00:00 0 
7f72768b5000-7f72768b6000 rw-p 00000000 00:00 0 
7f72768b6000-7f7276d2f000 ---p 00000000 00:00 0 
7f7276d2f000-7f7276d30000 rw-p 00000000 00:00 0 
7f7276d30000-7f7276daf000 ---p 00000000 00:00 0 
7f7276daf000-7f7276e0f000 rw-p 00000000 00:00 0 
7ffda18a4000-7ffda18c5000 rw-p 00000000 00:00 0                          [stack]
7ffda19e9000-7ffda19ed000 r--p 00000000 00:00 0                          [vvar]
7ffda19ed000-7ffda19ef000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 --xp 00000000 00:00 0                  [vsyscall]

```

